﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.Shared
{
    public class SimpleText : XmlSerializable
    {
        [Optional]
        [XmlAttribute("space", Namespace = "http://www.w3.org/XML/1998/namespace", Form = XmlSchemaForm.Qualified)]
        public string Space { get; set; }

        [XmlText]
        public string Value { get; set; }

        public SimpleText() { }

        public SimpleText(string val) 
        {
            Value = val;
        }
    }
}
