﻿using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Axes
{
    public interface IAxis { }

    [XmlRoot("crosses", Namespace = Constants.Chart)]
    public class Crosses : XmlSerializable, IAxesCrossElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public ST_Crosses Value { get; set; }

        public Crosses() { }
    }

    [XmlRoot("crossesAt", Namespace = Constants.Chart)]
    public class CrossesAt : XmlSerializable, IAxesCrossElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public double Value { get; set; }

        public CrossesAt() { }
    }
}
