﻿using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Elements
{
    [XmlRoot("upDownBars", Namespace = Constants.Chart)]
    public class UpDownBars : XmlSerializable
    {
        [Optional]
        [XmlElement("gapWidth", Namespace = Constants.Chart)]
        public NullableValue<uint> GapWidth { get; set; }

        [Optional]
        [XmlElement("upBars", Namespace = Constants.Chart)]
        public LineBar UpBars { get; set; }

        [Optional]
        [XmlElement("downBars", Namespace = Constants.Chart)]
        public LineBar DownBars { get; set; }

        [Optional]
        [XmlElement("extlst", Namespace = Constants.Chart)]
        public ExtensionList ExtensionList { get; set; }

        public UpDownBars() { }
    }
}
