﻿using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Properties
{
    [XmlRoot("pivotSource", Namespace = Constants.Chart)]
    public class PivotSource : XmlSerializable
    {
        [XmlElement("name", Namespace = Constants.Chart)]
        public SimpleText PivotName { get; set; }

        [XmlElement("fmtId", Namespace = Constants.Chart)]
        public RequiredValue<uint> FomarId { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Chart)]
        public XmlList<ExtensionList> ExtensionLists { get; set; }

        public PivotSource()
        {
            ExtensionLists = new XmlList<ExtensionList>();
        }
    }
}
