﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Properties
{
    [XmlRoot("externalData", Namespace = Constants.Chart)]
    public class PrintSettings : XmlSerializable
    {
        [Optional]
        [XmlElement("headerFooter", Namespace = Constants.Chart)]
        public HeaderFooter HeaderFooter { get; set; }

        [Optional]
        [XmlElement("pageMargins", Namespace = Constants.Chart)]
        public PageMargins PageMargins { get; set; }

        [Optional]
        [XmlElement("pageSetup", Namespace = Constants.Chart)]
        public PageSetup PageSetup { get; set; }

        [Optional]
        [XmlElement("legacyDrawingHF", Namespace = Constants.Chart)]
        public LegacyDrawingHF LegacyDrawingHF { get; set; }

        public PrintSettings() { }
    }
}
