﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Color
{
    [XmlRoot("style", Namespace = Constants.Main)]
    public class Style : XmlSerializable
    {
        [XmlElement("lnRef", Namespace = Constants.Main)]
        public IndexedColor LineReference { get; set; }

        [XmlElement("fillRef", Namespace = Constants.Main)]
        public IndexedColor FillReference { get; set; }

        [XmlElement("effectRef", Namespace = Constants.Main)]
        public IndexedColor EffectReference { get; set; }

        [XmlElement("fontRef", Namespace = Constants.Main)]
        public IndexedColor FontReference { get; set; }

        public Style() { }
    }
}
