﻿using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    public class Bevel : XmlSerializable
    {
        [Optional]
        [XmlAttribute("w", Form = XmlSchemaForm.Qualified)]
        public Nullable<long> Width { get; set; }

        [Optional]
        [XmlAttribute("h", Form = XmlSchemaForm.Qualified)]
        public Nullable<long> Height { get; set; }

        [Optional]
        [XmlAttribute("prst", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_BevelPresetType> PresetBevel { get; set; }

        public Bevel() { }
    }
}
