﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Locks;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties
{
    [XmlRoot("cNvCxnSpPr", Namespace = Constants.Main)]
    public class NonVisualConnectionShapeDrawingProperties : XmlSerializable
    {
        [Optional]
        [XmlElement("cxnSpLocks", Namespace = Constants.Main)]
        public ConnectionShapeLocks Locks { get; set; }

        [Optional]
        [XmlElement("stCnx", Namespace = Constants.Main)]
        public Connection ConnectionStart { get; set; }

        [Optional]
        [XmlElement("endCnx", Namespace = Constants.Main)]
        public Connection ConnectionEnd { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public NonVisualConnectionShapeDrawingProperties() { }
    }
}
