﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Locks;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties
{
    [XmlRoot("cNvGraphicFramePr", Namespace = Constants.Main)]
    public class NonVisualGraphicFrameDrawingProperties : XmlSerializable
    {
        [Optional]
        [XmlElement("graphicFrameLocks", Namespace = Constants.Main)]
        public GraphicFrameLocks Locks { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public NonVisualGraphicFrameDrawingProperties() { }
    }
}
