﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Locks;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties
{
    [XmlRoot("cNvSpPr", Namespace = Constants.Main)]
    public class NonVisualShapeDrawingProperties : XmlSerializable
    {
        [Optional]
        [XmlAttribute("txBox", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> TextBox { get; set; }

        [Optional]
        [XmlElement("spLocks", Namespace = Constants.Main)]
        public ShapeLocks ShapeLocks { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public NonVisualShapeDrawingProperties() { }
    }
}
