﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.DrawingML.Transformation;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("txSp", Namespace = Constants.Main)]
    public class TextShape : XmlSerializable, IGroupShape
    {
        [XmlElement("txBody", Namespace = Constants.Main)]
        public Body Body { get; set; }

        [XmlElement("xfrm", Namespace = Constants.Main)]
        public Transform2d Transform { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public TextShape() { }
    }
}
