﻿using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media.Properties
{
    [XmlRoot("nvPicPr", Namespace = Constants.Picture)]
    public class NonVisualPictureProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Picture)]
        public NonVisualProperties NonVisualProperties { get; set; }

        [XmlElement("cNvPicPr", Namespace = Constants.Picture)]
        public NonVisualPictureDrawingProperties NonVisualPictureDrawingProperties { get; set; }

        public NonVisualPictureProperties() { }
    }
}
