﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Style
{
    [XmlRoot("", Namespace = Constants.Main)]
    public class Defaults : XmlSerializable
    {
        [XmlElement("spPr", Namespace = Constants.Main)]
        public ShapeProperties ShapeProperties { get; set; }

        [XmlElement("bodyPr", Namespace = Constants.Main)]
        public BodyProperties BodyProperties { get; set; }

        [XmlElement("lstStyle", Namespace = Constants.Main)]
        public TextListStyles TextListStyles { get; set; }

        [Optional]
        [XmlElement("style", Namespace = Constants.Main)]
        public Color.Style Style { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public Defaults() { }
    }
}
