﻿using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    [XmlRoot("buAutoNum", Namespace = Constants.Main)]
    public class AutoNumberedBullet : XmlSerializable, ITextBullet
    {
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public ST_TextAutonumberScheme Type { get; set; }

        [Optional]
        [XmlAttribute("startAt", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> StartAt { get; set; }

        public AutoNumberedBullet() { }
    }
}
