﻿using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    [XmlRoot("r", Namespace = Constants.Main)]
    public class Run : XmlSerializable, IParagraphElement
    {
        [Optional]
        [XmlElement("rPr", Namespace = Constants.Main)]
        public RunProperties Properties { get; set; }

        [XmlElement("t", Namespace = Constants.Main)]
        public SimpleText Text { get; set; }

        public Run() { }
    }
}
