﻿using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    [XmlRoot("fld", Namespace = Constants.Main)]
    public class TextField : XmlSerializable, IParagraphElement
    {
        [XmlAttribute("id", Form = XmlSchemaForm.Qualified)]
        public Guid Id { get; set; }

        [Optional]
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public string Type { get; set; }

        [Optional]
        [XmlElement("rPr", Namespace = Constants.Main)]
        public RunProperties RunProperties { get; set; }

        [Optional]
        [XmlElement("pPr", Namespace = Constants.Main)]
        public ParagraphProperties ParagraphProperties { get; set; }

        [Optional]
        [XmlElement("t", Namespace = Constants.Main)]
        public SimpleText Text { get; set; }

        public TextField() { }
    }
}
