﻿using DocumentFormat.OpenXml.Lite.DrawingML.Geometry;
using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Transformation
{
    [XmlRoot("prstGeom", Namespace = Constants.Main)]
    public class PresetGeometry : XmlSerializable, IGeometry
    {
        [XmlAttribute("prst", Form = XmlSchemaForm.Qualified)]
        public ST_ShapeType ShapeType { get; set; }

        [Optional]
        [XmlElement("avLst", Namespace = Constants.Main)]
        public AdjustValueList AdjustValues { get; set; }

        public PresetGeometry() { }
    }
}
