﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Types
{
    public enum ST_PresetCameraType
    {
        [XmlEnum("legacyObliqueTopLeft")]
        LegacyObliqueTopLeft,
        [XmlEnum("legacyObliqueTop")]
        LegacyObliqueTop,
        [XmlEnum("legacyObliqueTopRight")]
        LegacyObliqueTopRight,
        [XmlEnum("legacyObliqueLeft")]
        LegacyObliqueLeft,
        [XmlEnum("legacyObliqueFront")]
        LegacyObliqueFront,
        [XmlEnum("legacyObliqueRight")]
        LegacyObliqueRight,
        [XmlEnum("legacyObliqueBottomLeft")]
        LegacyObliqueBottomLeft,
        [XmlEnum("legacyObliqueBottom")]
        LegacyObliqueBottom,
        [XmlEnum("legacyObliqueBottomRight")]
        LegacyObliqueBottomRight,
        [XmlEnum("legacyPerspectiveTopLeft")]
        LegacyPerspectiveTopLeft,
        [XmlEnum("legacyPerspectiveTop")]
        LegacyPerspectiveTop,
        [XmlEnum("legacyPerspectiveTopRight")]
        LegacyPerspectiveTopRight,
        [XmlEnum("legacyPerspectiveLeft")]
        LegacyPerspectiveLeft,
        [XmlEnum("legacyPerspectiveFront")]
        LegacyPerspectiveFront,
        [XmlEnum("legacyPerspectiveRight")]
        LegacyPerspectiveRight,
        [XmlEnum("legacyPerspectiveBottomLeft")]
        LegacyPerspectiveBottomLeft,
        [XmlEnum("legacyPerspectiveBottom")]
        LegacyPerspectiveBottom,
        [XmlEnum("legacyPerspectiveBottomRight")]
        LegacyPerspectiveBottomRight,
        [XmlEnum("orthographicFront")]
        OrthographicFront,
        [XmlEnum("isometricTopUp")]
        IsometricTopUp,
        [XmlEnum("isometricTopDown")]
        IsometricTopDown,
        [XmlEnum("isometricBottomUp")]
        IsometricBottomUp,
        [XmlEnum("isometricBottomDown")]
        IsometricBottomDown,
        [XmlEnum("isometricLeftUp")]
        IsometricLeftUp,
        [XmlEnum("isometricLeftDown")]
        IsometricLeftDown,
        [XmlEnum("isometricRightUp")]
        IsometricRightUp,
        [XmlEnum("isometricRightDown")]
        IsometricRightDown,
        [XmlEnum("isometricOffAxis1Left")]
        IsometricOffAxis1Left,
        [XmlEnum("isometricOffAxis1Right")]
        IsometricOffAxis1Right,
        [XmlEnum("isometricOffAxis1Top")]
        IsometricOffAxis1Top,
        [XmlEnum("isometricOffAxis2Left")]
        IsometricOffAxis2Left,
        [XmlEnum("isometricOffAxis2Right")]
        IsometricOffAxis2Right,
        [XmlEnum("isometricOffAxis2Top")]
        IsometricOffAxis2Top,
        [XmlEnum("isometricOffAxis3Left")]
        IsometricOffAxis3Left,
        [XmlEnum("isometricOffAxis3Right")]
        IsometricOffAxis3Right,
        [XmlEnum("isometricOffAxis3Bottom")]
        IsometricOffAxis3Bottom,
        [XmlEnum("isometricOffAxis4Left")]
        IsometricOffAxis4Left,
        [XmlEnum("isometricOffAxis4Right")]
        IsometricOffAxis4Right,
        [XmlEnum("isometricOffAxis4Bottom")]
        IsometricOffAxis4Bottom,
        [XmlEnum("obliqueTopLeft")]
        ObliqueTopLeft,
        [XmlEnum("obliqueTop")]
        ObliqueTop,
        [XmlEnum("obliqueTopRight")]
        ObliqueTopRight,
        [XmlEnum("obliqueLeft")]
        ObliqueLeft,
        [XmlEnum("obliqueRight")]
        ObliqueRight,
        [XmlEnum("obliqueBottomLeft")]
        ObliqueBottomLeft,
        [XmlEnum("obliqueBottom")]
        ObliqueBottom,
        [XmlEnum("obliqueBottomRight")]
        ObliqueBottomRight,
        [XmlEnum("perspectiveFront")]
        PerspectiveFront,
        [XmlEnum("perspectiveLeft")]
        PerspectiveLeft,
        [XmlEnum("perspectiveRight")]
        PerspectiveRight,
        [XmlEnum("perspectiveAbove")]
        PerspectiveAbove,
        [XmlEnum("perspectiveBelow")]
        PerspectiveBelow,
        [XmlEnum("perspectiveAboveLeftFacing")]
        PerspectiveAboveLeftFacing,
        [XmlEnum("perspectiveAboveRightFacing")]
        PerspectiveAboveRightFacing,
        [XmlEnum("perspectiveContrastingLeftFacing")]
        PerspectiveContrastingLeftFacing,
        [XmlEnum("perspectiveContrastingRightFacing")]
        PerspectiveContrastingRightFacing,
        [XmlEnum("perspectiveHeroicLeftFacing")]
        PerspectiveHeroicLeftFacing,
        [XmlEnum("perspectiveHeroicRightFacing")]
        PerspectiveHeroicRightFacing,
        [XmlEnum("perspectiveHeroicExtremeLeftFacing")]
        PerspectiveHeroicExtremeLeftFacing,
        [XmlEnum("perspectiveHeroicExtremeRightFacing")]
        PerspectiveHeroicExtremeRightFacing,
        [XmlEnum("perspectiveRelaxed")]
        PerspectiveRelaxed,
        [XmlEnum("perspectiveRelaxedModerately")]
        PerspectiveRelaxedModerately
    }
}
