﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Types
{
    public enum ST_PresetColorVal
    {
        [XmlEnum("aliceBlue")]
        AliceBluePresetColor,
        [XmlEnum("antiqueWhite")]
        AntiqueWhitePresetColor,
        [XmlEnum("aqua")]
        AquaPresetColor,
        [XmlEnum("aquamarine")]
        AquamarinePresetColor,
        [XmlEnum("azure")]
        AzurePresetColor,
        [XmlEnum("beige")]
        BeigePresetColor,
        [XmlEnum("bisque")]
        BisquePresetColor,
        [XmlEnum("black")]
        BlackPresetColor,
        [XmlEnum("blanchedAlmond")]
        BlanchedAlmondPresetColor,
        [XmlEnum("blue")]
        BluePresetColor,
        [XmlEnum("blueViolet")]
        BlueVioletPresetColor,
        [XmlEnum("brown")]
        BrownPresetColor,
        [XmlEnum("burlyWood")]
        BurlyWoodPresetColor,
        [XmlEnum("cadetBlue")]
        CadetBluePresetColor,
        [XmlEnum("chartreuse")]
        ChartreusePresetColor,
        [XmlEnum("chocolate")]
        ChocolatePresetColor,
        [XmlEnum("coral")]
        CoralPresetColor,
        [XmlEnum("cornflowerBlue")]
        CornflowerBluePresetColor,
        [XmlEnum("cornsilk")]
        CornsilkPresetColor,
        [XmlEnum("crimson")]
        CrimsonPresetColor,
        [XmlEnum("cyan")]
        CyanPresetColor,
        [XmlEnum("dkBlue")]
        DarkBluePresetColor,
        [XmlEnum("dkCyan")]
        DarkCyanPresetColor,
        [XmlEnum("dkGoldenrod")]
        DarkGoldenrodPresetColor,
        [XmlEnum("dkGray")]
        DarkGrayPresetColor,
        [XmlEnum("dkGreen")]
        DarkGreenPresetColor,
        [XmlEnum("dkKhaki")]
        DarkKhakiPresetColor,
        [XmlEnum("dkMagenta")]
        DarkMagentaPresetColor,
        [XmlEnum("dkOliveGreen")]
        DarkOliveGreenPresetColor,
        [XmlEnum("dkOrange")]
        DarkOrangePresetColor,
        [XmlEnum("dkOrchid")]
        DarkOrchidPresetColor,
        [XmlEnum("dkRed")]
        DarkRedPresetColor,
        [XmlEnum("dkSalmon")]
        DarkSalmonPresetColor,
        [XmlEnum("dkSeaGreen")]
        DarkSeaGreenPresetColor,
        [XmlEnum("dkSlateBlue")]
        DarkSlateBluePresetColor,
        [XmlEnum("dkSlateGray")]
        DarkSlateGrayPresetColor,
        [XmlEnum("dkTurquoise")]
        DarkTurquoisePresetColor,
        [XmlEnum("dkViolet")]
        DarkVioletPresetColor,
        [XmlEnum("deepPink")]
        DeepPinkPresetColor,
        [XmlEnum("deepSkyBlue")]
        DeepSkyBluePresetColor,
        [XmlEnum("dimGray")]
        DimGrayPresetColor,
        [XmlEnum("dodgerBlue")]
        DodgerBluePresetColor,
        [XmlEnum("firebrick")]
        FirebrickPresetColor,
        [XmlEnum("floralWhite")]
        FloralWhitePresetColor,
        [XmlEnum("forestGreen")]
        ForestGreenPresetColor,
        [XmlEnum("fuchsia")]
        FuchsiaPresetColor,
        [XmlEnum("gainsboro")]
        GainsboroPresetColor,
        [XmlEnum("ghostWhite")]
        GhostWhitePresetColor,
        [XmlEnum("gold")]
        GoldPresetColor,
        [XmlEnum("goldenrod")]
        GoldenrodPresetColor,
        [XmlEnum("gray")]
        GrayPresetColor,
        [XmlEnum("green")]
        GreenPresetColor,
        [XmlEnum("greenYellow")]
        GreenYellowPresetColor,
        [XmlEnum("honeydew")]
        HoneydewPresetColor,
        [XmlEnum("hotPink")]
        HotPinkPresetColor,
        [XmlEnum("indianRed")]
        IndianRedPresetColor,
        [XmlEnum("indigo")]
        IndigoPresetColor,
        [XmlEnum("ivory")]
        IvoryPresetColor,
        [XmlEnum("khaki")]
        KhakiPresetColor,
        [XmlEnum("lavender")]
        LavenderPresetColor,
        [XmlEnum("lavenderBlush")]
        LavenderBlushPresetColor,
        [XmlEnum("lawnGreen")]
        LawnGreenPresetColor,
        [XmlEnum("lemonChiffon")]
        LemonChiffonPresetColor,
        [XmlEnum("ltBlue")]
        LightBluePresetColor,
        [XmlEnum("ltCoral")]
        LightCoralPresetColor,
        [XmlEnum("ltCyan")]
        LightCyanPresetColor,
        [XmlEnum("ltGoldenrodYellow")]
        LightGoldenrodYellowPresetColor,
        [XmlEnum("ltGray")]
        LightGrayPresetColor,
        [XmlEnum("ltGreen")]
        LightGreenPresetColor,
        [XmlEnum("ltPink")]
        LightPinkPresetColor,
        [XmlEnum("ltSalmon")]
        LightSalmonPresetColor,
        [XmlEnum("ltSeaGreen")]
        LightSeaGreenPresetColor,
        [XmlEnum("ltSkyBlue")]
        LightSkyBluePresetColor,
        [XmlEnum("ltSlateGray")]
        LightSlateGrayPresetColor,
        [XmlEnum("ltSteelBlue")]
        LightSteelBluePresetColor,
        [XmlEnum("ltYellow")]
        LightYellowPresetColor,
        [XmlEnum("lime")]
        LimePresetColor,
        [XmlEnum("limeGreen")]
        LimeGreenPresetColor,
        [XmlEnum("linen")]
        LinenPresetColor,
        [XmlEnum("magenta")]
        MagentaPresetColor,
        [XmlEnum("maroon")]
        MaroonPresetColor,
        [XmlEnum("medAquamarine")]
        MediumAquamarinePresetColor,
        [XmlEnum("medBlue")]
        MediumBluePresetColor,
        [XmlEnum("medOrchid")]
        MediumOrchidPresetColor,
        [XmlEnum("medPurple")]
        MediumPurplePresetColor,
        [XmlEnum("medSeaGreen")]
        MediumSeaGreenPresetColor,
        [XmlEnum("medSlateBlue")]
        MediumSlateBluePresetColor,
        [XmlEnum("medSpringGreen")]
        MediumSpringGreenPresetColor,
        [XmlEnum("medTurquoise")]
        MediumTurquoisePresetColor,
        [XmlEnum("medVioletRed")]
        MediumVioletRedPresetColor,
        [XmlEnum("midnightBlue")]
        MidnightBluePresetColor,
        [XmlEnum("mintCream")]
        MintCreamPresetColor,
        [XmlEnum("mistyRose")]
        MistyRosePresetColor,
        [XmlEnum("moccasin")]
        MoccasinPresetColor,
        [XmlEnum("navajoWhite")]
        NavajoWhitePresetColor,
        [XmlEnum("navy")]
        NavyPresetColor,
        [XmlEnum("oldLace")]
        OldLacePresetColor,
        [XmlEnum("olive")]
        OlivePresetColor,
        [XmlEnum("oliveDrab")]
        OliveDrabPresetColor,
        [XmlEnum("orange")]
        OrangePresetColor,
        [XmlEnum("orangeRed")]
        OrangeRedPresetColor,
        [XmlEnum("orchid")]
        OrchidPresetColor,
        [XmlEnum("paleGoldenrod")]
        PaleGoldenrodPresetColor,
        [XmlEnum("paleGreen")]
        PaleGreenPresetColor,
        [XmlEnum("paleTurquoise")]
        PaleTurquoisePresetColor,
        [XmlEnum("paleVioletRed")]
        PaleVioletRedPresetColor,
        [XmlEnum("papayaWhip")]
        PapayaWhipPresetColor,
        [XmlEnum("peachPuff")]
        PeachPuffPresetColor,
        [XmlEnum("peru")]
        PeruPresetColor,
        [XmlEnum("pink")]
        PinkPresetColor,
        [XmlEnum("plum")]
        PlumPresetColor,
        [XmlEnum("powderBlue")]
        PowderBluePresetColor,
        [XmlEnum("purple")]
        PurplePresetColor,
        [XmlEnum("red")]
        RedPresetColor,
        [XmlEnum("rosyBrown")]
        RosyBrownPresetColor,
        [XmlEnum("royalBlue")]
        RoyalBluePresetColor,
        [XmlEnum("saddleBrown")]
        SaddleBrownPresetColor,
        [XmlEnum("salmon")]
        SalmonPresetColor,
        [XmlEnum("sandyBrown")]
        SandyBrownPresetColor,
        [XmlEnum("seaGreen")]
        SeaGreenPresetColor,
        [XmlEnum("seaShell")]
        SeaShellPresetColor,
        [XmlEnum("sienna")]
        SiennaPresetColor,
        [XmlEnum("silver")]
        SilverPresetColor,
        [XmlEnum("skyBlue")]
        SkyBluePresetColor,
        [XmlEnum("slateBlue")]
        SlateBluePresetColor,
        [XmlEnum("slateGray")]
        SlateGrayPresetColor,
        [XmlEnum("snow")]
        SnowPresetColor,
        [XmlEnum("springGreen")]
        SpringGreenPresetColor,
        [XmlEnum("steelBlue")]
        SteelBluePresetColor,
        [XmlEnum("tan")]
        TanPresetColor,
        [XmlEnum("teal")]
        TealPresetColor,
        [XmlEnum("thistle")]
        ThistlePresetColor,
        [XmlEnum("tomato")]
        TomatoPresetColor,
        [XmlEnum("turquoise")]
        TurquoisePresetColor,
        [XmlEnum("violet")]
        VioletPresetColor,
        [XmlEnum("wheat")]
        WheatPresetColor,
        [XmlEnum("white")]
        WhitePresetColor,
        [XmlEnum("whiteSmoke")]
        WhiteSmokePresetColor,
        [XmlEnum("yellow")]
        YellowPresetColor,
        [XmlEnum("yellowGreen")]
        YellowGreenPresetColor
    }
}
