﻿using DMLGP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    [XmlRoot("nvPicPr", Namespace = Constants.Drawing)]
    public class NonVisualPictureProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Drawing)]
        public DMLGP.NonVisualProperties NonVisualProperties { get; set; }

        [XmlElement("cNvPicPr", Namespace = Constants.Drawing)]
        public DMLGP.NonVisualPictureDrawingProperties NonVisualPictureDrawingProperties { get; set; }

        public NonVisualPictureProperties() { }
    }
}
