﻿using GP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Drawing
{
    [XmlRoot("nvPicPr", Namespace = Constants.Presentation)]
    public class NonVisualPictureProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Presentation)]
        public GP.NonVisualProperties NonVisualDrawingProperties { get; set; }

        [XmlElement("cNvPicPr", Namespace = Constants.Presentation)]
        public GP.NonVisualPictureDrawingProperties NonVisualPictureDrawingProperties { get; set; }

        [XmlElement("nvPr", Namespace = Constants.Presentation)]
        public NonVisualProperties NonVisualProperties { get; set; }

        public NonVisualPictureProperties() { }
    }
}
