﻿using DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("custDataLst", Namespace = Constants.Presentation)]
    public class CustomerDataList : XmlSerializable
    {
        [Optional]
        [XmlElement("custData", Namespace = Constants.Presentation)]
        public XmlList<RelationshipElement> CustomerData { get; set; }

        [Optional]
        [XmlElement("tags", Namespace = Constants.Presentation)]
        public RelationshipElement Tags { get; set; }

        public CustomerDataList() { }
    }
}
