﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("noteSz", Namespace = Constants.Presentation)]
    public class NoteSize : XmlSerializable
    {
        [XmlAttribute("cx", Form = XmlSchemaForm.Qualified)]
        public int ExtentLength { get; set; }

        [XmlAttribute("cy", Form = XmlSchemaForm.Qualified)]
        public int ExtentWidth { get; set; }

        public NoteSize() { }
    }
}
