﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Types
{
    public enum ST_PhotoAlbumLayout
    {
        [XmlEnum("fitToSlide")]
        FitPhotosToSlide,
        [XmlEnum("1pic")]
        OnePhotoPerSlide,
        [XmlEnum("2pic")]
        TwoPhotosPerSlide,
        [XmlEnum("4pic")]
        FourPhotosPerSlide,
        [XmlEnum("1picTitle")]
        OnePhotoPerSlideWithTitles,
        [XmlEnum("2picTitle")]
        TwoPhotoPerSlideWithTitles,
        [XmlEnum("4picTitle")]
        FourPhotoPerSlideWithTitles
    }
}
