﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("condense", Namespace = Constants.ExcelMain)]
    public class Condense : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [Optional]
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Value { get; set; }

        public Condense() { }

        public void Copy(object obj)
        {
            if (obj is Condense)
            {
                this.Value = (obj as Condense).Value;
            }
        }
    }
}
