﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("family", Namespace = Constants.ExcelMain)]
    public class Family : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public Family() { }

        public void Copy(object obj)
        {
            if (obj is Family)
            {
                this.Value = (obj as Family).Value;
            }
        }
    }
}
