﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("numFmts", Namespace = Constants.ExcelMain)]
    public class NumberFormat : XmlSerializable
    {
        [XmlAttribute("numFmtId", Form = XmlSchemaForm.Qualified)]
        public uint Id { get; set; } 

        [XmlAttribute("formatCode", Form = XmlSchemaForm.Qualified)]
        public string Code { get; set; }

        public NumberFormat() { }
    }
}
