﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("calculatedColumnFormula", Namespace = Constants.ExcelMain)]
    public class CalculatedColumnFormula : XmlSerializable
    {
        [XmlAttribute("array", Form = XmlSchemaForm.Qualified)]
        public bool Array { get; set; }

        [XmlText]
        public string Value { get; set; }

        public CalculatedColumnFormula()
        {
            Array = false;
        }
    }
}
