﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("customFilter", Namespace = Constants.ExcelMain)]
    public class CustomFilter : XmlSerializable
    {
        [Optional]
        [XmlAttribute("operator", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_FilterOperator> Operator { get; set; }

        [Optional]
        [XmlElement("val", Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public CustomFilter() { }
    }
}
