﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements
{
    [XmlRoot("phoneticPr", Namespace = Constants.ExcelMain)]
    public class PhoneticProperty : XmlSerializable
    {
        [XmlAttribute("fontId", Form = XmlSchemaForm.Qualified)]
        public uint FontId { get; set; }

        [Optional]
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_PhoneticType> PhoneticType { get; set; }

        [Optional]
        [XmlAttribute("alignment", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_PhoneticAlignment> PhoneticAlignment { get; set; }

        public PhoneticProperty() { }
    }
}
