﻿using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements
{
    [XmlRoot("rPh", Namespace = Constants.ExcelMain)]
    public class PhoneticRun : XmlSerializable
    {
        [XmlElement("t", Namespace = Constants.ExcelMain)]
        public SimpleText Text { get; set; }

        [XmlAttribute("sb", Form = XmlSchemaForm.Qualified)]
        public uint BaseTextStartIndex { get; set; }

        [XmlAttribute("eb", Form = XmlSchemaForm.Qualified)]
        public uint BaseTextEndIndex { get; set; }

        public PhoneticRun() { }
    }
}
