﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Drawing
{
    [XmlRoot("effectExtent", Namespace = Constants.Drawing)]
    public class EffectExtent : XmlSerializable
    {
        [XmlAttribute("l", Form = XmlSchemaForm.Qualified)]
        public long LeftEdge { get; set; }

        [XmlAttribute("t", Form = XmlSchemaForm.Qualified)]
        public long TopEdge { get; set; }

        [XmlAttribute("r", Form = XmlSchemaForm.Qualified)]
        public long RightEdge { get; set; }

        [XmlAttribute("b", Form = XmlSchemaForm.Qualified)]
        public long BottomEdge { get; set; }

        public EffectExtent() { }
    }
}
