﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Drawing
{
    [XmlRoot("wrapPolygon", Namespace = Constants.Drawing)]
    public class WrapPolygon : XmlSerializable
    {
        [Optional]
        [XmlAttribute("edited", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Edited { get; set; }

        [XmlElement("start", Namespace = Constants.Drawing)]
        public SimplePosition Start { get; set; }

        [XmlElement("lineTo", Namespace = Constants.Drawing)]
        public SimplePosition[] LineTo { get; set; }

        public WrapPolygon() 
        {
            LineTo = new SimplePosition[2];
        }
    }
}
