﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("cnfStyle", Namespace = Constants.WordMain)]
    public class ConditionalFormatting : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public ConditionalFormatting() { }

        public void Copy(object obj)
        {
            if (obj is ConditionalFormatting)
            {
                this.Value = (obj as ConditionalFormatting).Value;
            }
        }
    }
}
