﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("jc", Namespace = Constants.WordMain)]
    public class ParagraphAlignment : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_Jc Value { get; set; }

        public ParagraphAlignment() { }

        public void Copy(object obj)
        {
            if (obj is ParagraphAlignment)
            {
                this.Value = (obj as ParagraphAlignment).Value;
            }
        }
    }
}
