﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunElements
{
    [XmlRoot("fldChar", Namespace = Constants.WordMain)]
    public class ComplexFieldCharacter : XmlSerializable, IRunElement
    {
        [XmlAttribute("fldCharType", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_FldCharType> CharType { get; set; }

        [Optional]
        [XmlAttribute("fldLock", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_OnOff> FieldLock { get; set; }

        [Optional]
        [XmlAttribute("dirty", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_OnOff> Dirty { get; set; }

        public ComplexFieldCharacter() { }
    }
}
