﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("kern", Namespace = Constants.WordMain)]
    public class FontKerning : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public uint Measurement { get; set; }

        public FontKerning() { }
        
        public void Copy(object obj)
        {
            if (obj is FontKerning)
            {
                this.Measurement = (obj as FontKerning).Measurement;
            }
        }
    }
}
