﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("vertAlign", Namespace = Constants.WordMain)]
    public class VerticalAlign : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_VerticalAlignRun Type { get; set; }

        public VerticalAlign() { }

        public void Copy(object obj)
        {
            if (obj is VerticalAlign)
            {
                this.Type = (obj as VerticalAlign).Type;
            }
        }
    }
}
