﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Style.StyleElements
{
    public abstract class SimpleStringElement : XmlSerializable, IStyleElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public void Copy(object obj)
        {
            if (obj is SimpleStringElement)
            {
                this.Value = (obj as SimpleStringElement).Value;
            }
        }
    }
}
