﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.CellProperties
{
    [XmlRoot("hideMark", Namespace = Constants.WordMain)]
    public class HideMark : XmlSerializable, ITableCellPropElement
    {
        [Optional]
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_OnOff> Value { get; set; }

        public HideMark() { }

        public void Copy(object obj)
        {
            if (obj is HideMark)
            {
                this.Value = (obj as HideMark).Value;
            }
        }
    }
}
