﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.Properties
{
    /// <summary>
    /// Number of Rows in Row Band
    /// </summary>
    [XmlRoot("tblStyleRowBandSize", Namespace = Constants.WordMain)]
    public class NumberOfRows : XmlSerializable, ITablePropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public NumberOfRows() { }

        public void Copy(object obj)
        {
            if (obj is NumberOfRows)
            {
                this.Value = (obj as NumberOfRows).Value;
            }
        }
    }
}
