﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.RowProperties
{
    [XmlRoot("gridAfter", Namespace = Constants.WordMain)]
    public class GridAfter : XmlSerializable, ITableRowPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public GridAfter() { }

        public void Copy(object obj)
        {
            if (obj is GridAfter)
            {
                this.Value = (obj as GridAfter).Value;
            }
        }
    }
}
