﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.RowProperties
{
    [XmlRoot("gridBefore", Namespace = Constants.WordMain)]
    public class GridBefore : XmlSerializable, ITableRowPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public GridBefore() { }

        public void Copy(object obj)
        {
            if (obj is GridBefore)
            {
                this.Value = (obj as GridBefore).Value;
            }
        }
    }
}
