﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Texts
{
    [XmlRoot("delInstrText", Namespace = Constants.WordMain)]
    public class DeletedFieldCode : XmlSerializable, IRunElement
    {
        [XmlAttribute("space", Namespace = Constants.Xml)]
        public string Space { get; set; }

        [XmlText]
        public string Value { get; set; }
        
        public DeletedFieldCode()
        {
        }

        public DeletedFieldCode(string value)
        {
            Value = value;
        }
    }
}
