﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types
{
    public enum ST_TblStyleOverrideType
    {
        [XmlEnum("wholeTable")]
        WholeTable,
        [XmlEnum("firstRow")]
        FirstRow,
        [XmlEnum("lastRow")]
        LastRow,
        [XmlEnum("firstCol")]
        FirstColumn,
        [XmlEnum("lastCol")]
        LastColumn,
        [XmlEnum("band1Vert")]
        BandedColumn,
        [XmlEnum("band2Vert")]
        EvenColumn,
        [XmlEnum("band1Horz")]
        BandedRow,
        [XmlEnum("band2Horz")]
        EvenRow,
        [XmlEnum("neCell")]
        TopRightCell,
        [XmlEnum("nwCell")]
        TopLeftCell,
        [XmlEnum("seCell")]
        BottomRightCell,
        [XmlEnum("swCell")]
        BottomLeftCell
    }
}
