﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DocumentFormat.OpenXml.Lite.Xml
{
    internal class XmlSerializationContext
    {
        private static XmlSerializationContext instance;
        public static XmlSerializationContext Instance
        {
            get
            {
                if (instance == null)
                    instance = new XmlSerializationContext();
                return instance;
            }
        }

        public LinkedList<object> Trace { get; set; }

        private XmlSerializationContext() 
        {
            Trace = new LinkedList<object>();
        }
    }
}
