﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Properties
{
    [XmlRoot("pageMargins", Namespace = Constants.Chart)]
    public class PageMargins : XmlSerializable
    {
        [XmlAttribute("l", Form = XmlSchemaForm.Qualified)]
        public double Left { get; set; }

        [XmlAttribute("r", Form = XmlSchemaForm.Qualified)]
        public double Right { get; set; }

        [XmlAttribute("t", Form = XmlSchemaForm.Qualified)]
        public double Top { get; set; }

        [XmlAttribute("b", Form = XmlSchemaForm.Qualified)]
        public double Bottom { get; set; }

        [XmlAttribute("header", Form = XmlSchemaForm.Qualified)]
        public double Header { get; set; }

        [XmlAttribute("footer", Form = XmlSchemaForm.Qualified)]
        public double Footer { get; set; }

        public PageMargins() { }
    }
}
