﻿using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Properties
{
    [XmlRoot("protection", Namespace = Constants.Chart)]
    public class Protection : XmlSerializable
    {
        [Optional]
        [XmlElement("chartObject", Namespace = Constants.Chart)]
        public NullableValue<bool> ChartObject { get; set; }

        [Optional]
        [XmlElement("data", Namespace = Constants.Chart)]
        public NullableValue<bool> Data { get; set; }

        [Optional]
        [XmlElement("formatting", Namespace = Constants.Chart)]
        public NullableValue<bool> Formatting { get; set; }

        [Optional]
        [XmlElement("selection", Namespace = Constants.Chart)]
        public NullableValue<bool> Selection { get; set; }

        [Optional]
        [XmlElement("userInterface", Namespace = Constants.Chart)]
        public NullableValue<bool> UserInterface { get; set; }

        public Protection() { }
    }
}
