﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Color
{
    [XmlRoot("extraClrScheme", Namespace = Constants.Main)]
    public class ExtraColorScheme : XmlSerializable
    {
        [XmlElement("clrScheme", Namespace = Constants.Main)]
        public ColorScheme ColorScheme { get; set; }

        [Optional]
        [XmlElement("clrMap", Namespace = Constants.Main)]
        public ColorSchemeMap ColorSchemeMap { get; set; }

        public ExtraColorScheme() { }
    }
}
