﻿using DocumentFormat.OpenXml.Lite.DrawingML.Visual;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Effect
{
    [XmlRoot("effectStyle", Namespace = Constants.Main)]
    public class EffectStyle : XmlSerializable
    {
        [XmlElement("", Namespace = Constants.Main)]
        public IEffectProperty EffectProperty { get; set; }

        [Optional]
        [XmlElement("scene3d", Namespace = Constants.Main)]
        public Scene3dProperties Scene3dProperties { get; set; }

        [Optional]
        [XmlElement("sp3d", Namespace = Constants.Main)]
        public Shape3dProperties Shape3dPropperties { get; set; }

        public EffectStyle() { }
    }
}
