﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Font
{
    [XmlRoot("font", Namespace = Constants.Main)]
    public class SimpleFont : XmlSerializable
    {
        [XmlAttribute("script", Form = XmlSchemaForm.Qualified)]
        public string Script { get; set; }

        [XmlAttribute("typeface", Form = XmlSchemaForm.Qualified)]
        public string Typeface { get; set; }

        public SimpleFont() { }
    }
}
