﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("cxnSp", Namespace = Constants.Main)]
    public class ConnectionShape : XmlSerializable, IGroupShape
    {
        [XmlElement("nvCxnSpPr", Namespace = Constants.Main)]
        public NonVisualConnectionShapeProperties NonVisualProperties { get; set; }

        [XmlElement("spPr", Namespace = Constants.Main)]
        public ShapeProperties Properties { get; set; }

        [Optional]
        [XmlElement("style", Namespace = Constants.Main)]
        public Color.Style Style { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public ConnectionShape() { }
    }
}
