﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Locks;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties
{
    [XmlRoot("cNvGrpSpPr", Namespace = Constants.Main)]
    public class NonVisualGroupShapeDrawingProperties : XmlSerializable
    {
        [Optional]
        [XmlElement("grpSpLocks", Namespace = Constants.Main)]
        public GroupShapeLocks Locks { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public NonVisualGroupShapeDrawingProperties() { }
    }
}
