﻿using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Style
{
    public class EndStyle : XmlSerializable
    {
        [Optional]
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_LineEndType> Type { get; set; }

        [Optional]
        [XmlAttribute("w", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_LineEndWidth> Width { get; set; }

        [Optional]
        [XmlAttribute("len", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_LineEndLength> Length { get; set; }

        public EndStyle() { }
    }
}
