﻿using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Style
{
    [XmlRoot("prstDash", Namespace = Constants.Main)]
    public class PresetDash : XmlSerializable, ILineDashProperty
    {
        [Optional]
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_PresetLineDashVal> Value { get; set; }

        public PresetDash() { }
    }
}
