﻿using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    [XmlRoot("txBody", Namespace = Constants.Main)]
    public class Body : XmlSerializable
    {
        [XmlElement("bodyPr", Namespace = Constants.Main)]
        public BodyProperties Properties { get; set; }

        [Optional]
        [XmlElement("lstStyle", Namespace = Constants.Main)]
        public TextListStyles Styles { get; set; }

        [XmlElement("p", Namespace = Constants.Main)]
        public XmlList<Paragraph> Paragraphs { get; set; }

        public Body() 
        {
            Properties = new BodyProperties();
            Paragraphs = new XmlList<Paragraph>();
        }
    }
}
