﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties
{
    [XmlRoot("txPr", Namespace = Constants.Main)]
    public class TextProperties : XmlSerializable, ILegendEntry
    {
        [XmlElement("bodyPr", Namespace = Constants.Main)]
        public BodyProperties BodyProperties { get; set; }

        [Optional]
        [XmlElement("lstStyle", Namespace = Constants.Main)]
        public TextListStyles TextListStyles { get; set; }

        [XmlElement("p", Namespace = Constants.Main)]
        public XmlList<Paragraph> Paragraphs { get; set; }

        public TextProperties()
        {
            Paragraphs = new XmlList<Paragraph>();
        }
    }
}
