﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Transformation
{
    [XmlRoot("rot", Namespace = Constants.Main)]
    public class Rotation : XmlSerializable
    {
        [XmlAttribute("lat", Form = XmlSchemaForm.Qualified)]
        public int Latitude { get; set; }

        [XmlAttribute("lon", Form = XmlSchemaForm.Qualified)]
        public int Longitude { get; set; }

        [XmlAttribute("rev", Form = XmlSchemaForm.Qualified)]
        public int Revolution { get; set; }

        public Rotation() { }
    }
}
