﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Types
{
    public enum ST_TextShapeType
    {
        [XmlEnum("textNoShape")]
        TextNoShape,
        [XmlEnum("textPlain")]
        TextPlain,
        [XmlEnum("textStop")]
        TextStop,
        [XmlEnum("textTriangle")]
        TextTriangle,
        [XmlEnum("textTriangleInverted")]
        TextTriangleInverted,
        [XmlEnum("textChevron")]
        TextChevron,
        [XmlEnum("textChevronInverted")]
        TextChevronInverted,
        [XmlEnum("textRingInside")]
        TextRingInside,
        [XmlEnum("textRingOutside")]
        TextRingOutside,
        [XmlEnum("textArchUp")]
        TextArchUp,
        [XmlEnum("textArchDown")]
        TextArchDown,
        [XmlEnum("textCircle")]
        TextCircle,
        [XmlEnum("textButton")]
        TextButton,
        [XmlEnum("textArchUpPour")]
        TextArchUpPour,
        [XmlEnum("textArchDownPour")]
        TextArchDownPour,
        [XmlEnum("textCirclePour")]
        TextCirclePour,
        [XmlEnum("textButtonPour")]
        TextButtonPour,
        [XmlEnum("textCurveUp")]
        TextCurveUp,
        [XmlEnum("textCurveDown")]
        TextCurveDown,
        [XmlEnum("textCanUp")]
        TextCanUp,
        [XmlEnum("textCanDown")]
        TextCanDown,
        [XmlEnum("textWave1")]
        TextWave1,
        [XmlEnum("textWave2")]
        TextWave2,
        [XmlEnum("textDoubleWave1")]
        TextDoubleWave1,
        [XmlEnum("textWave4")]
        TextWave4,
        [XmlEnum("textInflate")]
        TextInflate,
        [XmlEnum("textDeflate")]
        TextDeflate,
        [XmlEnum("textInflateBottom")]
        TextInflateBottom,
        [XmlEnum("textDeflateBottom")]
        TextDeflateBottom,
        [XmlEnum("textInflateTop")]
        TextInflateTop,
        [XmlEnum("textDeflateTop")]
        TextDeflateTop,
        [XmlEnum("textDeflateInflate")]
        TextDeflateInflate,
        [XmlEnum("textDeflateInflateDeflate")]
        TextDeflateInflateDeflate,
        [XmlEnum("textFadeRight")]
        TextFadeRight,
        [XmlEnum("textFadeLeft")]
        TextFadeLeft,
        [XmlEnum("textFadeUp")]
        TextFadeUp,
        [XmlEnum("textFadeDown")]
        TextFadeDown,
        [XmlEnum("textSlantUp")]
        TextSlantUp,
        [XmlEnum("textSlantDown")]
        TextSlantDown,
        [XmlEnum("textCascadeUp")]
        TextCascadeUp,
        [XmlEnum("textCascadeDown")]
        TextCascadeDown
    }
}
