﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("gsLst", Namespace = Constants.Main)]
    public class GradientStopList : XmlSerializable, IFillProperty
    {
        /// <summary>
        /// Minimum 2 elements
        /// </summary>
        [XmlElement("gs", Namespace = Constants.Main)]
        public XmlList<GradientStop> GradientStops { get; set; }

        public GradientStopList()
        {
            GradientStops = new XmlList<GradientStop>();
        }
    }
}
