﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("lin", Namespace = Constants.Main)]
    public class LinearGradientFill : XmlSerializable, IShadeProperty
    {
        [Optional]
        [XmlAttribute("ang", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Angle { get; set; }

        [Optional]
        [XmlAttribute("scaled", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Scaled { get; set; }

        public LinearGradientFill() { }
    }
}
