﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("gradFill", Namespace = Constants.Main)]
    public class PatternFill : XmlSerializable, ILineFillProperty
    {
        [Optional]
        [XmlElement("fgClr", Namespace = Constants.Main)]
        public Color.Color ForegroundColor { get; set; }

        [Optional]
        [XmlElement("bgClr", Namespace = Constants.Main)]
        public Color.Color BackgroundColor { get; set; }

        public PatternFill() { }
    }
}
