﻿using DocumentFormat.OpenXml.Lite.DrawingML.Geometry;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("stretch", Namespace = Constants.Main)]
    public class Stretch : XmlSerializable, IFillModeProperty
    {
        [Optional]
        [XmlElement("fillRect", Namespace = Constants.Main)]
        public Rectangle FillRectangle { get; set; }

        public Stretch() { }
    }
}
