﻿using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    [XmlRoot("nvGraphicFramePr", Namespace = Constants.Drawing)]
    public class GraphicFrameProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Drawing)]
        public NonVisualProperties NonVisualProperties { get; set; }

        [XmlElement("cNvGraphicFramePr", Namespace = Constants.Drawing)]
        public NonVisualGraphicFrameDrawingProperties NonVisualFrameProperties { get; set; }

        public GraphicFrameProperties() { }
    }
}
