﻿using DMLT = DocumentFormat.OpenXml.Lite.DrawingML.Text;
using GP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using DocumentFormat.OpenXml.Lite.Xml;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Drawing
{
    [XmlRoot("nvCxnSpPr", Namespace = Constants.Presentation)]
    public class NonVisualConnectionShapeProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Presentation)]
        public GP.NonVisualProperties NonVisualDrawingProperties { get; set; }

        [XmlElement("cNvCxnPr", Namespace = Constants.Presentation)]
        public GP.NonVisualConnectionShapeDrawingProperties NonVisualConnectionShapeDrawingProperties { get; set; }

        [XmlElement("nvPr", Namespace = Constants.Presentation)]
        public NonVisualProperties NonVisualProperties { get; set; }

        public NonVisualConnectionShapeProperties() { }
    }
}
