﻿using GP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Drawing
{
    [XmlRoot("nvGrpSpPr", Namespace = Constants.Presentation)]
    public class NonVisualGroupShapeProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Presentation)]
        public GP.NonVisualProperties NonVisualDrawingProperties { get; set; }

        [XmlElement("cNvGrpSpPr", Namespace = Constants.Presentation)]
        public GP.NonVisualGroupShapeDrawingProperties NonVisualGroupShapeDrawingProperties { get; set; }

        [XmlElement("nvPr", Namespace = Constants.Presentation)]
        public NonVisualProperties NonVisualProperties { get; set; }

        public NonVisualGroupShapeProperties() { }
    }
}
