﻿using GP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Drawing
{
    [XmlRoot("nvSpPr", Namespace = Constants.Presentation)]
    public class NonVisualShapeProperties : XmlSerializable
    {
        [XmlElement("cNvPr", Namespace = Constants.Presentation)]
        public GP.NonVisualProperties NonVisualDrawingProperties { get; set; }

        [XmlElement("cNvSpPr", Namespace = Constants.Presentation)]
        public GP.NonVisualShapeDrawingProperties NonVisualShapeDrawingProperties { get; set; }

        [XmlElement("nvPr", Namespace = Constants.Presentation)]
        public NonVisualProperties NonVisualProperties { get; set; }

        public NonVisualShapeProperties() { }
    }
}
