﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Base
{
    public class SimpleIdElement : XmlSerializable
    {
        [Optional]
        [XmlAttribute("id", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> Id { get; set; }

        [XmlAttribute("id", Namespace = Constants.Relationship, Form = XmlSchemaForm.Qualified)]
        public string RelationshipId { get; set; }

        public SimpleIdElement()
        {
        }

        public SimpleIdElement(string relId)
        {
            this.RelationshipId = relId;
        }
    }
}
