﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("font", Namespace = Constants.Presentation)]
    public class Font : XmlSerializable
    {
        [Optional]
        [XmlAttribute("typeface", Form = XmlSchemaForm.Qualified)]
        public string Typeface { get; set; }

        [Optional]
        [XmlAttribute("panose", Form = XmlSchemaForm.Qualified)]
        public string Panose { get; set; }

        [Optional]
        [XmlAttribute("pitchFamily", Form = XmlSchemaForm.Qualified)]
        public Nullable<byte> PitchFamily { get; set; }

        [Optional]
        [XmlAttribute("charset", Form = XmlSchemaForm.Qualified)]
        public Nullable<byte> Charset { get; set; }

        public Font() { }
    }
}
