﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("kinsoku", Namespace = Constants.Presentation)]
    public class Kinsoku : XmlSerializable
    {
        [Optional]
        [XmlAttribute("lang", Form = XmlSchemaForm.Qualified)]
        public string Language { get; set; }

        [XmlAttribute("invalStChars", Form = XmlSchemaForm.Qualified)]
        public string InvalidStartCharacters { get; set; }

        [XmlAttribute("invalEndChars", Form = XmlSchemaForm.Qualified)]
        public string InvalidEndCharacters { get; set; }

        public Kinsoku() { }
    }
}
