﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Base
{
    [XmlRoot("tableParts", Namespace = Constants.ExcelMain)]
    public class TableParts : XmlSerializable
    {
        [Optional]
        [XmlAttribute("count", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> Count { get; set; }

        [XmlElement("tablePart", Namespace = Constants.ExcelMain)]
        public XmlList<TablePart> TablePartList { get; set; }

        public TableParts()
        {
            TablePartList = new XmlList<TablePart>();
        }
    }
}
