﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("name", Namespace = Constants.ExcelMain)]
    public class FontName : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public FontName() { }

        public void Copy(object obj)
        {
            if (obj is FontName)
            {
                this.Value = (obj as FontName).Value;
            }
        }
    }
}
