﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("dxf", Namespace = Constants.ExcelMain)]
    public class Formatting : XmlSerializable
    {
        [Optional]
        [XmlElement("font", Namespace = Constants.ExcelMain)]
        public Font Font { get; set; }

        [Optional]
        [XmlElement("numFmt", Namespace = Constants.ExcelMain)]
        public NumberFormat NumberFormat { get; set; }

        [Optional]
        [XmlElement("fill", Namespace = Constants.ExcelMain)]
        public Fill Fill { get; set; }

        [Optional]
        [XmlElement("alignment", Namespace = Constants.ExcelMain)]
        public Alignment Alignment { get; set; }

        [Optional]
        [XmlElement("border", Namespace = Constants.ExcelMain)]
        public Border Border { get; set; }

        [Optional]
        [XmlElement("protection", Namespace = Constants.ExcelMain)]
        public Protection Protection { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.ExcelMain)]
        public ExtensionList ExtensionList { get; set; }

        public Formatting() { }
    }
}
