﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("name", Namespace = Constants.ExcelMain)]
    public class Name : XmlSerializable, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public Name() { }

        public void Copy(object obj)
        {
            if (obj is Name)
            {
                this.Value = (obj as Name).Value;
            }
        }
    }
}
