﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("patternFill", Namespace = Constants.ExcelMain)]
    public class PatternFill : XmlSerializable
    {
        [Optional]
        [XmlAttribute("patternType", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_PatternType> Type { get; set; }

        [Optional]
        [XmlElement("fgColor", Namespace = Constants.ExcelMain)]
        public Color ForegroundColor { get; set; }

        [Optional]
        [XmlElement("bgColor", Namespace = Constants.ExcelMain)]
        public Color BackgroundColor { get; set; }

        public PatternFill() { }
    }
}
