﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("protection", Namespace = Constants.ExcelMain)]
    public class Protection : XmlSerializable
    {
        [Optional]
        [XmlAttribute("locked", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Locked { get; set; }

        [Optional]
        [XmlAttribute("hidden", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Hidden { get; set; }

        public Protection() { }
    }
}
