﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("tableStyleElement", Namespace = Constants.ExcelMain)]
    public class TableStyleElement : XmlSerializable
    {
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_TableStyleType> Type { get; set; }

        [Optional]
        [XmlAttribute("size", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> Size { get; set; }

        [Optional]
        [XmlAttribute("dxfId", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> FormattingId { get; set; }

        public TableStyleElement() { }
    }
}
