﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("tableColumns", Namespace = Constants.ExcelMain)]
    public class TableColumns : XmlSerializable
    {
        [Optional]
        [XmlAttribute("count", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> Count { get; set; }

        [XmlElement("tableColumn", Namespace = Constants.ExcelMain)]
        public XmlList<TableColumn> Columns { get; set; }

        public TableColumns()
        {
            Columns = new XmlList<TableColumn>();
        }
    }
}
