﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types
{
    public enum ST_XmlDataType
    {
        [XmlEnum("string")]
        StringType,
        [XmlEnum("normalizedString")]
        NormalizedString,
        [XmlEnum("token")]
        Token,
        [XmlEnum("byte")]
        ByteType,
        [XmlEnum("unsignedByte")]
        UnsignedByte,
        [XmlEnum("base64Binary")]
        Base64Binary,
        [XmlEnum("hexBinary")]
        HexBinary,
        [XmlEnum("integer")]
        Integer,
        [XmlEnum("positiveInteger")]
        PositiveInteger,
        [XmlEnum("negativeInteger")]
        NegativeInteger,
        [XmlEnum("nonPositiveInteger")]
        NonPositiveInteger,
        [XmlEnum("nonNegativeInteger")]
        NonNegativeInteger,
        [XmlEnum("int")]
        Int,
        [XmlEnum("unsignedInt")]
        UnsignedInt,
        [XmlEnum("long")]
        LongType,
        [XmlEnum("unsignedLong")]
        UnsignedLong,
        [XmlEnum("short")]
        ShortType,
        [XmlEnum("unsignedShort")]
        UnsignedShort,
        [XmlEnum("decimal")]
        DecimalType,
        [XmlEnum("float")]
        FloatType,
        [XmlEnum("double")]
        DoubleType,
        [XmlEnum("boolean")]
        Boolean,
        [XmlEnum("time")]
        Time,
        [XmlEnum("dateTime")]
        DateTime,
        [XmlEnum("duration")]
        Duration,
        [XmlEnum("date")]
        Date,
        [XmlEnum("gMonth")]
        GMonth,
        [XmlEnum("gYear")]
        GYear,
        [XmlEnum("gYearMonth")]
        GYearMonth,
        [XmlEnum("gDay")]
        GDay,
        [XmlEnum("gMonthDay")]
        GMonthDay,
        [XmlEnum("Name")]
        Name,
        [XmlEnum("QName")]
        QName,
        [XmlEnum("NCName")]
        NCName,
        [XmlEnum("anyURI")]
        AnyURI,
        [XmlEnum("language")]
        Language,
        [XmlEnum("ID")]
        ID,
        [XmlEnum("IDREF")]
        IDREF,
        [XmlEnum("IDREFS")]
        IDREFS,
        [XmlEnum("ENTITY")]
        ENTITY,
        [XmlEnum("ENTITIES")]
        ENTITIES,
        [XmlEnum("NOTATION")]
        NOTATION,
        [XmlEnum("NMTOKEN")]
        NMTOKEN,
        [XmlEnum("NMTOKENS")]
        NMTOKENS,
        [XmlEnum("anyType")]
        AnyType
    }
}
