﻿using DocumentFormat.OpenXml.Lite.Core.Office;
using DocumentFormat.OpenXml.Lite.Interfaces;
using DocumentFormat.OpenXml.Lite.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML
{
    public interface ISectionPropertyContainer
    {
        bool AddSectionProperty(ISectionPropElement element);
    }

    public interface IParagraphElement { }
    public interface IParagraphPropElement : ICopyable { }

    public interface IRunElement { }
    public interface IRunSingleElement : IRunElement, ICopyable { }
    public interface IRunPropElement: ICopyable { }

    public interface ITablePropElement : ICopyable { }
    public interface ITableRowPropElement : ICopyable { }
    public interface ITableCellPropElement : ICopyable { }

    public interface IStyleElement : ICopyable { }

    public interface ISectionPropElement : ICopyable { }

    public interface IVerticalPositioningElement { }
    public interface IHorizontalPositioningElement { }
    public interface IWrapType { }
}
