﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    public abstract class SimpleProperty : XmlSerializable, IParagraphPropElement
    {
        [Optional]
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_OnOff> Value { get; set; }

        public SimpleProperty() { }

        public void Copy(object obj)
        {
            if (obj is SimpleProperty)
            {
                this.Value = (obj as SimpleProperty).Value;
            }
        }
    }
}
