﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("textAlignment", Namespace = Constants.WordMain)]
    public class TextAlignment : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_TextAlignment Value { get; set; }

        public TextAlignment() { }

        public void Copy(object obj)
        {
            if (obj is TextAlignment)
            {
                this.Value = (obj as TextAlignment).Value;
            }
        }
    }
}
