﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("effect", Namespace = Constants.WordMain)]
    public class TextEffect : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_TextEffect Effect { get; set; }

        public TextEffect() { }

        public void Copy(object obj)
        {
            if (obj is TextEffect)
            {
                this.Effect = (obj as TextEffect).Effect;
            }
        }
    }
}
