﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.SectionProperties
{
    [XmlRoot("footerReference", Namespace = Constants.WordMain)]
    public class FooterReference : XmlSerializable, ISectionPropElement
    {
        [XmlAttribute("id", Namespace = Constants.Relationship, Form = XmlSchemaForm.Qualified)]
        public string RelationshipId { get; set; }

        [XmlAttribute("type", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_HdrFtr Type { get; set; }

        public FooterReference() { }

        public void Copy(object obj)
        {
            if (obj is FooterReference)
            {
                this.Type = (obj as FooterReference).Type;
                this.RelationshipId = (obj as FooterReference).RelationshipId;
            }
        }
    }
}
