﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.SectionProperties
{
    [XmlRoot("docGrid", Namespace = Constants.WordMain)]
    public class PrinterSettings : XmlSerializable, ISectionPropElement
    {
        [XmlAttribute("id", Namespace = Constants.Relationship, Form = XmlSchemaForm.Qualified)]
        public string Id { get; set; }

        public PrinterSettings() { }

        public void Copy(object obj)
        {
            if (obj is PrinterSettings)
            {
                this.Id = (obj as PrinterSettings).Id;
            }
        }
    }
}
