﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Style.StyleElements
{
    [XmlRoot("uiPriority", Namespace = Constants.WordMain)]
    public class UiPriority : XmlSerializable, IStyleElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public UiPriority() { }

        public UiPriority(int value)
        {
            this.Value = value;
        }

        public void Copy(object obj)
        {
            if (obj is UiPriority)
            {
                this.Value = (obj as UiPriority).Value;
            }
        }
    }
}
