﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.Properties
{
    [XmlRoot("tblOverlap", Namespace = Constants.WordMain)]
    public class Overlap : XmlSerializable, ITablePropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_TblOverlap Value { get; set; }

        public Overlap() { }

        public void Copy(object obj)
        {
            if (obj is Overlap)
            {
                this.Value = (obj as Overlap).Value;
            }
        }
    }
}
