﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.RowProperties
{
    [XmlRoot("hidden", Namespace = Constants.WordMain)]
    public class Hidden : XmlSerializable, ITableRowPropElement
    {
        [Optional]
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_OnOff> Value { get; set; }

        public Hidden() { }

        public void Copy(object obj)
        {
            if (obj is Hidden)
            {
                this.Value = (obj as Hidden).Value;
            }
        }
    }
}
