﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Texts
{
    [XmlRoot("t", Namespace = Constants.WordMain)]
    public class Text : XmlSerializable, IRunElement
    {
        [Optional]
        [XmlAttribute("space", Namespace = Constants.Xml)]
        public string Space { get; set; }

        [XmlText]
        public string Value { get; set; }

        public Text()
        {
        }

        public Text(string value)
        {
            Value = value;
        }
    }
}
