﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.Core.Office.VariantTypes
{
    public enum ST_VectorBaseType
    {
        [XmlEnum("variant")]
        Variant,
        [XmlEnum("i1")]
        Byte,
        [XmlEnum("i2")]
        SignedInteger2Byte,
        [XmlEnum("i4")]
        SignedInteger4Byte,
        [XmlEnum("i8")]
        SignedInteger8Byte,
        [XmlEnum("ui1")]
        UnsignedInteger1Byte,
        [XmlEnum("ui2")]
        UnsignedInteger2Byte,
        [XmlEnum("ui4")]
        UnsignedInteger4Byte,
        [XmlEnum("ui8")]
        UnsignedInteger8Byte,
        [XmlEnum("r4")]
        RealNumber4Byte,
        [XmlEnum("r8")]
        RealNumber8Byte,
        [XmlEnum("lpstr")]
        LPSTR,
        [XmlEnum("lpwstr")]
        LPWSTR,
        [XmlEnum("bstr")]
        BasicString,
        [XmlEnum("date")]
        DateAndTime,
        [XmlEnum("filetime")]
        FileTime,
        [XmlEnum("bool")]
        Boolean,
        [XmlEnum("cy")]
        Currency,
        [XmlEnum("error")]
        ErrorStatusCode,
        [XmlEnum("clsid")]
        ClassID,
        [XmlEnum("cf")]
        ClipboardData
    }
}
