﻿using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Effect
{
    [XmlRoot("effectDag", Namespace = Constants.Main)]
    public class EffectDag : XmlSerializable, IEffectProperty
    {
        [Optional]
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_EffectContainerType> Type { get; set; }

        [Optional]
        [XmlAttribute("name", Form = XmlSchemaForm.Qualified)]
        public string Name { get; set; }

        [XmlElement("", Namespace = Constants.Main)]
        public XmlList<IContainerElement> Elements { get; set; }

        public EffectDag()
        {
            Elements = new XmlList<IContainerElement>();
        }
    }
}
