﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Font
{
    [XmlRoot("fontScheme", Namespace = Constants.Main)]
    public class FontScheme : XmlSerializable
    {
        [XmlAttribute("name", Form = XmlSchemaForm.Qualified)]
        public string Name { get; set; }

        [XmlElement("majorFont", Namespace = Constants.Main)]
        public FontElement MajorFont { get; set; }

        [XmlElement("minorFont", Namespace = Constants.Main)]
        public FontElement MinorFont { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public FontScheme() { }
    }
}
