﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("bevel", Namespace = Constants.Main)]
    public class MiterLineJoin : XmlSerializable, ILineJoinProperty
    {
        [Optional]
        [XmlElement("lim", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Limit { get; set; }

        public MiterLineJoin() { }
    }
}
