﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    public class Rectangle : XmlSerializable
    {
        [Optional]
        [XmlAttribute("l", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Left { get; set; }

        [Optional]
        [XmlAttribute("t", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Top { get; set; }

        [Optional]
        [XmlAttribute("r", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Right { get; set; }

        [Optional]
        [XmlAttribute("b", Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Bottom { get; set; }

        public Rectangle() { }
    }
}
