﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using GP = DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;
using DocumentFormat.OpenXml.Lite.DrawingML.Media.Properties;
using DocumentFormat.OpenXml.Lite.DrawingML.Visual;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media
{
    [XmlRoot("pic", Namespace = Constants.Picture)]
    public class Picture : XmlSerializable
    {
        [XmlElement("nvPicPr", Namespace = Constants.Picture)]
        public NonVisualPictureProperties NonVisualProperties { get; set; }

        [XmlElement("blipFill", Namespace = Constants.Picture)]
        public BlipFill BlipFill { get; set; }

        [XmlElement("spPr", Namespace = Constants.Picture)]
        public GP.ShapeProperties ShapeProperties { get; set; }

        [Optional]
        [XmlElement("style", Namespace = Constants.Picture)]
        public Color.Style Style { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Picture)]
        public ExtensionList ExtensionList { get; set; }

        public Picture() { }
    }
}
