﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media
{
    [XmlRoot("snd", Namespace = Constants.Main)]
    public class Sound : XmlSerializable
    {
        [Optional]
        [XmlAttribute("embed", Namespace = Constants.Relationship, Form = XmlSchemaForm.Qualified)]
        public string AudioFileRelationshipId { get; set; }

        [Optional]
        [XmlAttribute("name", Form = XmlSchemaForm.Qualified)]
        public string Name { get; set; }

        [Optional]
        [XmlAttribute("builtIn", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> BuiltIn { get; set; }

        public Sound() { }
    }
}
