﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media
{
    [XmlRoot("wavAudioFile", Namespace = Constants.Main)]
    public class WavAudio : XmlSerializable, IMediaElement
    {
        [XmlAttribute("embed", Namespace = Constants.Relationship, Form = XmlSchemaForm.Qualified)]
        public string RelationshipId { get; set; }

        [Optional]
        [XmlAttribute("name", Form = XmlSchemaForm.Qualified)]
        public string Name { get; set; }

        [Optional]
        [XmlAttribute("builtIn", Form = XmlSchemaForm.Qualified)]
        public string BuiltIn { get; set; }
        
        public WavAudio() { }
    }
}
