﻿using DocumentFormat.OpenXml.Lite.Core.Office;
using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    [XmlRoot("p", Namespace = Constants.Main)]
    public class Paragraph : XmlSerializable
    {
        [Optional]
        [XmlElement("pPr", Namespace = Constants.Main)]
        public ParagraphProperties Properties { get; set; }

        [Optional]
        [XmlElement("", Namespace = Constants.Main)]
        public XmlList<IParagraphElement> Elements { get; set; }

        [Optional]
        [XmlElement("endParaRPr", Namespace = Constants.Main)]
        public RunProperties RunProperties { get; set; }

        public Paragraph()
        {
            Elements = new XmlList<IParagraphElement>();
        }
    }
}
