﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Types
{
    public enum ST_SystemColorVal
    {
        [XmlEnum("scrollBar")]
        ScrollBarSystemColor,
        [XmlEnum("background")]
        BackgroundSystemColor,
        [XmlEnum("activeCaption")]
        ActiveCaptionSystemColor,
        [XmlEnum("inactiveCaption")]
        InactiveCaptionSystemColor,
        [XmlEnum("menu")]
        MenuSystemColor,
        [XmlEnum("window")]
        WindowSystemColor,
        [XmlEnum("windowFrame")]
        WindowFrameSystemColor,
        [XmlEnum("menuText")]
        MenuTextSystemColor,
        [XmlEnum("windowText")]
        WindowTextSystemColor,
        [XmlEnum("captionText")]
        CaptionTextSystemColor,
        [XmlEnum("activeBorder")]
        ActiveBorderSystemColor,
        [XmlEnum("inactiveBorder")]
        InactiveBorderSystemColor,
        [XmlEnum("appWorkspace")]
        ApplicationWorkspaceSystemColor,
        [XmlEnum("highlight")]
        HighlightSystemColor,
        [XmlEnum("highlightText")]
        HighlightTextSystemColor,
        [XmlEnum("btnFace")]
        ButtonFaceSystemColor,
        [XmlEnum("btnShadow")]
        ButtonShadowSystemColor,
        [XmlEnum("grayText")]
        GrayTextSystemColor,
        [XmlEnum("btnText")]
        ButtonTextSystemColor,
        [XmlEnum("inactiveCaptionText")]
        InactiveCaptionTextSystemColor,
        [XmlEnum("btnHighlight")]
        ButtonHighlightSystemColor,
        [XmlEnum("3dDkShadow")]
        DarkSystemColor3d,
        [XmlEnum("3dLight")]
        LightSystemColor3d,
        [XmlEnum("infoText")]
        InfoTextSystemColor,
        [XmlEnum("infoBk")]
        InfoBackSystemColor,
        [XmlEnum("hotLight")]
        HotLightSystemColor,
        [XmlEnum("gradientActiveCaption")]
        GradientActiveCaptionSystemColor,
        [XmlEnum("gradientInactiveCaption")]
        GradientInactiveCaptionSystemColor,
        [XmlEnum("menuHighlight")]
        MenuHighlightSystemColor,
        [XmlEnum("menuBar")]
        MenuBarSystemColor
    }
}