﻿using DocumentFormat.OpenXml.Lite.DrawingML.Transformation;
using DocumentFormat.OpenXml.Lite.DrawingML.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("lightRig", Namespace = Constants.Main)]
    public class LightRig : XmlSerializable
    {
        [XmlAttribute("rig", Form = XmlSchemaForm.Qualified)]
        public ST_LightRigType RigPreset { get; set; }

        [XmlAttribute("dir", Form = XmlSchemaForm.Qualified)]
        public ST_LightRigDirection Direction { get; set; }

        [Optional]
        [XmlElement("rot", Namespace = Constants.Main)]
        public Rotation Rotation { get; set; }

        public LightRig() { }
    }
}
