﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Visual
{
    [XmlRoot("scene3d", Namespace = Constants.Main)]
    public class Scene3dProperties : XmlSerializable
    {
        [XmlElement("camera", Namespace = Constants.Main)]
        public Camera Camera { get; set; }

        [XmlElement("lightRig", Namespace = Constants.Main)]
        public LightRig LightRig { get; set; }

        [Optional]
        [XmlElement("backdrop", Namespace = Constants.Main)]
        public Backdrop BackdropPlane { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public Scene3dProperties() { }
    }
}
