﻿using DMLT = DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Color;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Drawing
{
    [XmlRoot("cxnSp", Namespace = Constants.Presentation)]
    public class ConnectionShape : XmlSerializable, IShapeElement
    {
        [XmlElement("nvCxnSpPr", Namespace = Constants.Presentation)]
        public NonVisualConnectionShapeProperties NonVisualProperties { get; set; }

        [XmlElement("spPr", Namespace = Constants.Presentation)]
        public ShapeProperties Properties { get; set; }

        [Optional]
        [XmlElement("style", Namespace = Constants.Presentation)]
        public Style Style { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Presentation)]
        public ExtensionList ExtensionList { get; set; }

        public ConnectionShape() { }
    }
}
