﻿using DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("embeddedFont", Namespace = Constants.Presentation)]
    public class EmbeddedFont : XmlSerializable
    {
        [XmlElement("font", Namespace = Constants.Presentation)]
        public Font Font { get; set; }

        [Optional]
        [XmlElement("regular", Namespace = Constants.Presentation)]
        public RelationshipElement Regular { get; set; }

        [Optional]
        [XmlElement("bold", Namespace = Constants.Presentation)]
        public RelationshipElement Bold { get; set; }

        [Optional]
        [XmlElement("italic", Namespace = Constants.Presentation)]
        public RelationshipElement Italic { get; set; }

        [Optional]
        [XmlElement("bolditalic", Namespace = Constants.Presentation)]
        public RelationshipElement BoldItalic { get; set; }

        public EmbeddedFont() { }
    }
}
