﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Types
{
    public enum ST_SlideSize
    {
        [XmlEnum("screen4x3")]
        Screen_4x3,
        [XmlEnum("letter")]
        Letter,
        [XmlEnum("A4")]
        A4,
        [XmlEnum("35mm")]
        Film_35mm,
        [XmlEnum("overhead")]
        Overhead,
        [XmlEnum("banner")]
        Banner,
        [XmlEnum("custom")]
        Custom,
        [XmlEnum("ledger")]
        Ledger,
        [XmlEnum("A3")]
        A3,
        [XmlEnum("B4ISO")]
        B4ISO,
        [XmlEnum("B5ISO")]
        B5ISO,
        [XmlEnum("B4JIS")]
        B4JIS,
        [XmlEnum("B5JIS")]
        B5JIS,
        [XmlEnum("hagakiCard")]
        HagakiCard,
        [XmlEnum("screen16x9")]
        Screen_16x9,
        [XmlEnum("screen16x10")]
        Screen_16x10
    }
}
