﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    [XmlRoot("clientData", Namespace = Constants.Drawing)]
    public class ClientData : XmlSerializable
    {
        [Optional]
        [XmlAttribute("fLocksWithSheet", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> LockWithSheet { get; set; }
        
        [Optional]
        [XmlAttribute("fPrintsWithSheet", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> PrintsWithSheet { get; set; }

        public ClientData() { }
    }
}
