﻿using DocumentFormat.OpenXml.Lite.Core.Interfaces;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    [XmlRoot("oneCellAnchor", Namespace = Constants.Drawing)]
    public class OneCellAnchor : XmlSerializable, ICellAnchor
    {
        [XmlElement("from", Namespace = Constants.Drawing)]
        public Point From { get; set; }

        [XmlElement("extent", Namespace = Constants.Drawing)]
        public Extent Extent { get; set; }

        [XmlElement("", Namespace = Constants.Drawing)]
        public IGraphicObject Graphic { get; set; }

        [XmlElement("clientData", Namespace = Constants.Drawing)]
        public ClientData ClientData { get; set; }

        public OneCellAnchor() { }
    }
}
