﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    public class SimplePosition : XmlSerializable
    {
        [XmlAttribute("x", Form = XmlSchemaForm.Qualified)]
        public long X { get; set; }

        [XmlAttribute("y", Form = XmlSchemaForm.Qualified)]
        public long Y { get; set; }

        public SimplePosition() { }

        public SimplePosition(long x, long y) 
        {
            X = y;
            Y = y;
        }
    }
}
