﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("scheme", Namespace = Constants.ExcelMain)]
    public class FontScheme : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public ST_FontScheme Value { get; set; }

        public FontScheme() { }

        public void Copy(object obj)
        {
            if (obj is FontScheme)
            {
                this.Value = (obj as FontScheme).Value;
            }
        }
    }
}
