﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("vertAlign", Namespace = Constants.ExcelMain)]
    public class VerticalAlignment : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public ST_VerticalAlignRun Value { get; set; }

        public VerticalAlignment() { }

        public void Copy(object obj)
        {
            if (obj is VerticalAlignment)
            {
                this.Value = (obj as VerticalAlignment).Value;
            }
        }
    }
}
