﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("stop", Namespace = Constants.ExcelMain)]
    public class Stop : XmlSerializable
    {
        [XmlAttribute("position", Form = XmlSchemaForm.Qualified)]
        public double Position { get; set; }

        [XmlElement("color", Namespace = Constants.ExcelMain)]
        public Color Color { get; set; }

        public Stop() { }
    }
}
