﻿using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("filters", Namespace = Constants.ExcelMain)]
    public class Filters : XmlSerializable
    {
        [XmlAttribute("blank", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Blank { get; set; }

        [XmlAttribute("calendarType", Form = XmlSchemaForm.Qualified)]
        public ST_CalendarType CalendarType { get; set; }

        [XmlElement("filter", Namespace = Constants.ExcelMain)]
        public List<RequiredValue<string>> FilterList { get; set; }

        [XmlElement("dateGroupItem")]
        public List<DateGroupItem> DateGroupItems { get; set; }

        public Filters() { }
    }
}
