﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("iconFilter", Namespace = Constants.ExcelMain)]
    public class IconFilter : XmlSerializable
    {
        [Optional]
        [XmlAttribute("iconSet", Form = XmlSchemaForm.Qualified)]
        public ST_IconSetType IconSetType { get; set; }

        [Optional]
        [XmlAttribute("iconId", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> IconId { get; set; }

        public IconFilter() { }
    }
}
