﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("top10", Namespace = Constants.ExcelMain)]
    public class Top10 : XmlSerializable
    {
        [Optional]
        [XmlAttribute("top", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Top { get; set; }

        [Optional]
        [XmlAttribute("percent", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Percent { get; set; }

        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public double Value { get; set; }

        [Optional]
        [XmlAttribute("filterVal", Form = XmlSchemaForm.Qualified)]
        public Nullable<double> FilterValue { get; set; }

        public Top10() { }
    }
}
