﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types
{
    public enum ST_TableStyleType
    {
        [XmlEnum("wholeTable")]
        WholeTable,
        [XmlEnum("headerRow")]
        HeaderRow,
        [XmlEnum("totalRow")]
        TotalRow,
        [XmlEnum("firstColumn")]
        FirstColumn,
        [XmlEnum("lastColumn")]
        LastColumn,
        [XmlEnum("firstRowStripe")]
        FirstRowStripe,
        [XmlEnum("secondRowStripe")]
        SecondRowStripe,
        [XmlEnum("firstColumnStripe")]
        FirstColumnStripe,
        [XmlEnum("secondColumnStripe")]
        SecondColumnStripe,
        [XmlEnum("firstHeaderCell")]
        FirstHeaderCell,
        [XmlEnum("lastHeaderCell")]
        LastHeaderCell,
        [XmlEnum("firstTotalCell")]
        FirstTotalCell,
        [XmlEnum("lastTotalCell")]
        LastTotalCell,
        [XmlEnum("firstSubtotalColumn")]
        FirstSubtotalColumn,
        [XmlEnum("secondSubtotalColumn")]
        SecondSubtotalColumn,
        [XmlEnum("thirdSubtotalColumn")]
        ThirdSubtotalColumn,
        [XmlEnum("firstSubtotalRow")]
        FirstSubtotalRow,
        [XmlEnum("secondSubtotalRow")]
        SecondSubtotalRow,
        [XmlEnum("thirdSubtotalRow")]
        ThirdSubtotalRow,
        [XmlEnum("blankRow")]
        BlankRow,
        [XmlEnum("firstColumnSubheading")]
        FirstColumnSubheading,
        [XmlEnum("secondColumnSubheading")]
        SecondColumnSubheading,
        [XmlEnum("thirdColumnSubheading")]
        ThirdColumnSubheading,
        [XmlEnum("firstRowSubheading")]
        FirstRowSubheading,
        [XmlEnum("secondRowSubheading")]
        SecondRowSubheading,
        [XmlEnum("thirdRowSubheading")]
        ThirdRowSubheading,
        [XmlEnum("pageFieldLabels")]
        PageFieldLabels,
        [XmlEnum("pageFieldValues")]
        PageFieldValues
    }
}
