﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements
{
    [XmlRoot("cfvo", Namespace = Constants.ExcelMain)]
    public class CFVO : XmlSerializable
    {
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public ST_CfvoType Type { get; set; }

        [Optional]
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        [Optional]
        [XmlAttribute("gte", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> GreaterThanOrEqual { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.ExcelMain)]
        public ExtensionList ExtensionList { get; set; }

        public CFVO() { }
    }
}
