﻿using DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements
{
    [XmlRoot("colorScale", Namespace = Constants.ExcelMain)]
    public class ColorScale : XmlSerializable
    {
        /// <summary>
        /// Conditional Format Value Object
        /// </summary>
        [XmlElement("cfvo", Namespace = Constants.ExcelMain)]
        public XmlList<CFVO> Cfvos { get; set; }

        [XmlElement("color", Namespace = Constants.ExcelMain)]
        public XmlList<Color> Colors { get; set; }

        public ColorScale()
        {
            Cfvos = new XmlList<CFVO>();
            Colors = new XmlList<Color>();
        }
    }
}
