﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Drawing
{
    [XmlRoot("positionH", Namespace = Constants.Drawing)]
    public class HorizontalPositioning : XmlSerializable
    {
        [XmlAttribute("relativeFrom", Form = XmlSchemaForm.Qualified)]
        public ST_RelFromH RelativeFrom { get; set; }

        [XmlElement("", Namespace = Constants.Drawing)]
        public IHorizontalPositioningElement Element { get; set; }

        public HorizontalPositioning() { }
    }

    [XmlRoot("align", Namespace = Constants.Drawing)]
    public class HorizontalAlign : XmlSerializable, IHorizontalPositioningElement
    {
        [XmlText]
        public ST_Align Value { get; set; }

        public HorizontalAlign() { }
    }
}
