﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Drawing
{
    [XmlRoot("positionH", Namespace = Constants.Drawing)]
    public class VerticalPositioning : XmlSerializable
    {
        [XmlAttribute("relativeFrom", Form = XmlSchemaForm.Qualified)]
        public ST_RelFromV RelativeFrom { get; set; }

        [XmlElement("", Namespace = Constants.Drawing)]
        public IVerticalPositioningElement Element { get; set; }

        public VerticalPositioning() { }
    }

    [XmlRoot("align", Namespace = Constants.Drawing)]
    public class VericalAlign : XmlSerializable, IVerticalPositioningElement
    {
        [XmlText]
        public ST_Align Value { get; set; }

        public VericalAlign() { }
    }
}
