﻿using DocumentFormat.OpenXml.Lite.Core;
using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.FooterElements
{
    [XmlRoot("sdtEndPr", Namespace = Constants.WordMain)]
    public class BLSEndProperties : XmlSerializable
    {
        [XmlElement("rPr", Namespace = Constants.WordMain)]
        public Base.RunProperties RunProperties { get; set; }

        public BLSEndProperties() 
        {
            RunProperties = new Base.RunProperties();
        }
    }
}
