﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.FooterElements
{
    [XmlRoot("sdtPr", Namespace = Constants.WordMain)]
    public class BLSProperties : XmlSerializable
    {
        [Optional]
        [XmlElement("id", Namespace = Constants.WordMain)]
        public RequiredValue<int> Id { get; set; }

        [Optional]
        [XmlElement("docPartObj", Namespace = Constants.WordMain)]
        public PartObject PartObject { get; set; }

        public BLSProperties() { }
    }
}
