﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Shared;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.FooterElements
{
    [XmlRoot("docPartObj", Namespace = Constants.WordMain)]
    public class PartObject : XmlSerializable
    {
        [Optional]
        [XmlElement("docPartGallery", Namespace = Constants.WordMain)]
        public RequiredValue<string> GalleryFilter { get; set; }

        [Optional]
        [XmlElement("docPartCategory", Namespace = Constants.WordMain)]
        public RequiredValue<string> CategoryFilter { get; set; }

        [Optional]
        [XmlElement("docPartUnique", Namespace = Constants.WordMain)]
        public NullableValue<ST_OnOff> Unique { get; set; }

        public PartObject() { }
    }
}
