﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("textboxTightWrap", Namespace = Constants.WordMain)]
    public class TextboxTightWrap : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_TextboxTightWrap Value { get; set; }

        public TextboxTightWrap() { }

        public void Copy(object obj)
        {
            if (obj is TextboxTightWrap)
            {
                this.Value = (obj as TextboxTightWrap).Value;
            }
        }
    }
}
