﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("fitText", Namespace = Constants.WordMain)]
    public class Width : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public uint Value { get; set; }

        [Optional]
        [XmlAttribute("id", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<int> Id { get; set; }

        public Width() { }

        public void Copy(object obj)
        {
            if (obj is Width)
            {
                this.Id = (obj as Width).Id;
                this.Value = (obj as Width).Value;
            }
        }
    }
}
