﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.SectionProperties
{
    [XmlRoot("textDirection", Namespace = Constants.WordMain)]
    public class TextDirection : XmlSerializable, ISectionPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_TextDirection> Value { get; set; }

        public TextDirection() { }

        public void Copy(object obj)
        {
            if (obj is TextDirection)
            {
                this.Value = (obj as TextDirection).Value;
            }
        }
    }
}
