﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.CellProperties
{
    [XmlRoot("vAlign", Namespace = Constants.WordMain)]
    public class VerticalAlignment : XmlSerializable, ITableCellPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_VerticalJc Value { get; set; }

        public VerticalAlignment() { }

        public void Copy(object obj)
        {
            if (obj is VerticalAlignment)
            {
                this.Value = (obj as VerticalAlignment).Value;
            }
        }
    }
}
