﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.Properties
{
    /// <summary>
    /// Number of Columns in Column Band
    /// </summary>
    [XmlRoot("tblStyleColBandSize", Namespace = Constants.WordMain)]
    public class NumberOfColumns : XmlSerializable, ITablePropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public NumberOfColumns() { }

        public void Copy(object obj)
        {
            if (obj is NumberOfColumns)
            {
                this.Value = (obj as NumberOfColumns).Value;
            }
        }
    }
}
