﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.RowProperties
{
    [XmlRoot("jc", Namespace = Constants.WordMain)]
    public class Alignment : XmlSerializable, ITableRowPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_Jc> Value { get; set; }

        public Alignment() { }

        public void Copy(object obj)
        {
            if (obj is Alignment)
            {
                this.Value = (obj as Alignment).Value;
            }
        }
    }
}
