﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.RowProperties
{
    [XmlRoot("divId", Namespace = Constants.WordMain)]
    public class DivId : XmlSerializable, ITableRowPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public DivId() { }

        public void Copy(object obj)
        {
            if (obj is DivId)
            {
                this.Value = (obj as DivId).Value;
            }
        }
    }
}
