﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DocumentFormat.OpenXml.Lite.Core.Relationship
{
    public enum RelationshipURI
    {
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties")]
        ExtentendedProperties,
        [Description("http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties")]
        CoreProperties,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument")]
        OfficeDocument,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/drawing")]
        OfficeDrawing,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles")]
        Style,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/header")]
        WordHeader,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/footer")]
        WordFooter,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet")]
        Worksheet,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/sharedStrings")]
        SharedStrings,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/table")]
        SmlTable,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/chart")]
        Chart,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/image")]
        Image,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/package")]
        Package,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/slide")]
        Slide,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/slideMaster")]
        SlideMaster,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/slideLayout")]
        SlideLayout,
        [Description("http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme")]
        Theme
    }
}
