﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Chart.Properties
{
    [XmlRoot("numFmt", Namespace = Constants.Chart)]
    public class NumberFormat : XmlSerializable
    {
        [XmlAttribute("formatCode", Form = XmlSchemaForm.Qualified)]
        public string FormatCode { get; set; }

        [Optional]
        [XmlAttribute("sourceLinked", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> SourceLinked { get; set; }

        public NumberFormat() { }
    }
}
