﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("anchor", Namespace = Constants.Main)]
    public class Anchor : XmlSerializable
    {
        [XmlAttribute("x", Form = XmlSchemaForm.Qualified)]
        public long X { get; set; }

        [XmlAttribute("y", Form = XmlSchemaForm.Qualified)]
        public long Y { get; set; }

        [XmlAttribute("z", Form = XmlSchemaForm.Qualified)]
        public long Z { get; set; }

        public Anchor() { }
    }
}
