﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("backdrop", Namespace = Constants.Main)]
    public class Backdrop : XmlSerializable
    {
        [XmlElement("anchor", Namespace = Constants.Main)]
        public Anchor AnchorPoint { get; set; }

        [XmlElement("norm", Namespace = Constants.Main)]
        public Normal Normal { get; set; }

        [XmlElement("up", Namespace = Constants.Main)]
        public Up UpVector { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public Backdrop() { }
    }
}
