﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("normal", Namespace = Constants.Main)]
    public class Normal : XmlSerializable
    {
        [XmlAttribute("dx", Form = XmlSchemaForm.Qualified)]
        public long XDistance { get; set; }

        [XmlAttribute("dy", Form = XmlSchemaForm.Qualified)]
        public long YDistance { get; set; }

        [XmlAttribute("dz", Form = XmlSchemaForm.Qualified)]
        public long ZDistance { get; set; }

        public Normal() { }
    }

    [XmlRoot("up", Namespace = Constants.Main)]
    public class Up : XmlSerializable
    {
        [XmlAttribute("dx", Form = XmlSchemaForm.Qualified)]
        public long XDistance { get; set; }

        [XmlAttribute("dy", Form = XmlSchemaForm.Qualified)]
        public long YDistance { get; set; }

        [XmlAttribute("dz", Form = XmlSchemaForm.Qualified)]
        public long ZDistance { get; set; }

        public Up() { }
    }
}
