﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    [XmlRoot("pt", Namespace = Constants.Main)]
    public class Point : XmlSerializable
    {
        [XmlAttribute("x", Form = XmlSchemaForm.Qualified)]
        public string X { get; set; }

        [XmlAttribute("Y", Form = XmlSchemaForm.Qualified)]
        public string Y { get; set; }

        public Point() { }
    }
}
