﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry
{
    public class Offset : XmlSerializable
    {
        [XmlAttribute("x", Form = XmlSchemaForm.Qualified)]
        public long X { get; set; }

        [XmlAttribute("y", Form = XmlSchemaForm.Qualified)]
        public long Y { get; set; }

        public Offset() { }
    }

    public class Extent : XmlSerializable
    {
        [XmlAttribute("cx", Form = XmlSchemaForm.Qualified)]
        public long ExtentLength { get; set; }

        [XmlAttribute("cy", Form = XmlSchemaForm.Qualified)]
        public long ExtentWidth { get; set; }

        public Extent() { }
    }
}
