﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Locks;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Geometry.Properties
{
    [XmlRoot("cNvPicPr", Namespace = Constants.Main)]
    public class NonVisualPictureDrawingProperties : XmlSerializable
    {
        [Optional]
        [XmlAttribute("preferRelativeResize", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> RealtiveResizePreferred { get; set; }

        [Optional]
        [XmlElement("picLocks", Namespace = Constants.Main)]
        public PictureLocks Locks { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public NonVisualPictureDrawingProperties() { }
    }
}
