﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media
{
    [XmlRoot("audioCd", Namespace = Constants.Main)]
    public class AudioCd : XmlSerializable, IMediaElement
    {
        [XmlElement("st", Namespace = Constants.Main)]
        public Time StartTime { get; set; }

        [XmlElement("end", Namespace = Constants.Main)]
        public Time EndTime { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public AudioCd() { }
    }
}
