﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Media
{
    [XmlRoot("", Namespace = Constants.Main)]
    public class Time : XmlSerializable
    {
        [XmlAttribute("track", Form = XmlSchemaForm.Qualified)]
        public byte Track { get; set; }

        [Optional]
        [XmlAttribute("time", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> Value { get; set; }

        public Time() { }
    }
}
