﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Style
{
    [XmlRoot("objectDefaults", Namespace = Constants.Main)]
    public class ObjectDefaults : XmlSerializable
    {
        [XmlElement("spDef", Namespace = Constants.Main)]
        public Defaults ShapeDefaults { get; set; }

        [Optional]
        [XmlElement("lnDef", Namespace = Constants.Main)]
        public Defaults LineDefaults { get; set; }

        [Optional]
        [XmlElement("txDef", Namespace = Constants.Main)]
        public Defaults TextDefaults { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public ObjectDefaults() { }
    }
}
