﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.DrawingML.Color;
using DocumentFormat.OpenXml.Lite.DrawingML.Font;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Style
{
    [XmlRoot("themeElemets", Namespace = Constants.Main)]
    public class ThemeElements : XmlSerializable
    {
        [XmlElement("clrScheme", Namespace = Constants.Main)]
        public ColorScheme ColorScheme { get; set; }

        [XmlElement("fontScheme", Namespace = Constants.Main)]
        public FontScheme FontScheme { get; set; }

        [XmlElement("fmtScheme", Namespace = Constants.Main)]
        public FormatScheme FormatScheme { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public ThemeElements() { }
    }
}
