﻿using DocumentFormat.OpenXml.Lite.DrawingML.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties
{
    [XmlRoot("lstStyle", Namespace = Constants.Main)]
    public class TextListStyles : XmlSerializable
    {
        [XmlElement("defPPr", Namespace = Constants.Main)]
        public ParagraphProperties DefaultProperties { get; set; }

        [Optional]
        [XmlElement("lvl1pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel1Style { get; set; }

        [Optional]
        [XmlElement("lvl2pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel2Style { get; set; }

        [Optional]
        [XmlElement("lvl3pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel3Style { get; set; }

        [Optional]
        [XmlElement("lvl4pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel4Style { get; set; }

        [Optional]
        [XmlElement("lvl5pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel5Style { get; set; }

        [Optional]
        [XmlElement("lvl6pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel6Style { get; set; }

        [Optional]
        [XmlElement("lvl7pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel7Style { get; set; }

        [Optional]
        [XmlElement("lvl8pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel8Style { get; set; }

        [Optional]
        [XmlElement("lvl9pPr", Namespace = Constants.Main)]
        public ParagraphProperties ListLevel9Style { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Main)]
        public ExtensionList ExtensionList { get; set; }

        public TextListStyles() { }
    }
}
