﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Text
{
    public class Space : XmlSerializable
    {
        [XmlElement("", Namespace = Constants.Main)]
        public ISpacing Spacing { get; set; }

        public Space() { }
    }

    [XmlRoot("spcPct", Namespace = Constants.Main)]
    public class SpacingPercent : XmlSerializable, ISpacing
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public SpacingPercent() { }
    }

    [XmlRoot("spcPts", Namespace = Constants.Main)]
    public class SpacingPoints : XmlSerializable, ISpacing
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public SpacingPoints() { }
    }
}
