﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.DrawingML.Types
{
    public enum ST_SchemeColorVal
    {
        [XmlEnum("bg1")]
        BackgroundColor1,
        [XmlEnum("tx1")]
        TextColor1,
        [XmlEnum("bg2")]
        BackgroundColor2,
        [XmlEnum("tx2")]
        TextColor2,
        [XmlEnum("accent1")]
        AccentColor1,
        [XmlEnum("accent2")]
        AccentColor2,
        [XmlEnum("accent3")]
        AccentColor3,
        [XmlEnum("accent4")]
        AccentColor4,
        [XmlEnum("accent5")]
        AccentColor5,
        [XmlEnum("accent6")]
        AccentColor6,
        [XmlEnum("hlink")]
        HyperlinkColor,
        [XmlEnum("folHlink")]
        FollowedHyperlinkColor,
        [XmlEnum("phClr")]
        StyleColor,
        [XmlEnum("dk1")]
        DarkColor1,
        [XmlEnum("lt1")]
        LightColor1,
        [XmlEnum("dk2")]
        DarkColor2,
        [XmlEnum("lt2")]
        LightColor2
    }
}
