﻿using DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.PresentationElements
{
    [XmlRoot("sldSz", Namespace = Constants.Presentation)]
    public class SlideSize : XmlSerializable
    {
        [XmlAttribute("cx", Form = XmlSchemaForm.Qualified)]
        public int ExtentLength { get; set; }

        [XmlAttribute("cy", Form = XmlSchemaForm.Qualified)]
        public int ExtentWidth { get; set; }

        [Optional]
        [XmlAttribute("type", Form = XmlSchemaForm.Qualified)]
        public Nullable<ST_SlideSize> Type { get; set; }

        public SlideSize() { }
    }
}
