﻿using DocumentFormat.OpenXml.Lite.DrawingML.Text;
using DocumentFormat.OpenXml.Lite.DrawingML.Text.Properties;
using DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Base;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.SlideElements
{
    [XmlRoot("txStyles")]
    public class TextStyles : XmlSerializable
    {
        [Optional]
        [XmlElement("titleStyle", Namespace = Constants.Presentation)]
        public TextListStyles TitleStyle { get; set; }

        [Optional]
        [XmlElement("bodyStyle", Namespace = Constants.Presentation)]
        public TextListStyles BodyStyle { get; set; }

        [Optional]
        [XmlElement("otherStyle", Namespace = Constants.Presentation)]
        public TextListStyles OtherStyle { get; set; }

        [Optional]
        [XmlElement("extLst", Namespace = Constants.Presentation)]
        public ExtensionList ExtensionList { get; set; }

        public TextStyles() { }
    }
}
