﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.PresentationML.Presentation.Types
{
    public enum ST_PlaceholderType
    {
        [XmlEnum("title")]
        Title,
        [XmlEnum("body")]
        Body,
        [XmlEnum("ctrTitle")]
        CenteredTitle,
        [XmlEnum("subTitle")]
        Subtitle,
        [XmlEnum("dt")]
        DateAndTime,
        [XmlEnum("sldNum")]
        SlideNumber,
        [XmlEnum("ftr")]
        Footer,
        [XmlEnum("hdr")]
        Header,
        [XmlEnum("obj")]
        Object,
        [XmlEnum("chart")]
        Chart,
        [XmlEnum("tbl")]
        Table,
        [XmlEnum("clipArt")]
        ClipArt,
        [XmlEnum("dgm")]
        Diagram,
        [XmlEnum("media")]
        Media,
        [XmlEnum("sldImg")]
        SlideImage,
        [XmlEnum("pic")]
        Picture
    }
}
