﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Drawing
{
    [XmlRoot("extent", Namespace = Constants.Drawing)]
    public class Extent : XmlSerializable
    {
        [XmlAttribute("cx", Form = XmlSchemaForm.Qualified)]
        public long ExtentLength { get; set; }

        [XmlAttribute("cy", Form = XmlSchemaForm.Qualified)]
        public long ExtentWidth { get; set; }

        public Extent() { }

        public Extent(long length, long width) 
        {
            this.ExtentLength = length;
            this.ExtentWidth = width;
        }
    }
}
