﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("rFont", Namespace = Constants.ExcelMain)]
    public class Font : XmlSerializable, IRunProperty
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public Font() { }

        public void Copy(object obj)
        {
            if (obj is Font)
            {
                this.Value = (obj as Font).Value;
            }
        }
    }
}
