﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.RunProperties
{
    [XmlRoot("sz", Namespace = Constants.ExcelMain)]
    public class FontSize : XmlSerializable, IRunProperty, IFontStyleElement
    {
        [XmlAttribute("val", Form = XmlSchemaForm.Qualified)]
        public double Value { get; set; }

        public FontSize() { }

        public void Copy(object obj)
        {
            if (obj is FontSize)
            {
                this.Value = (obj as FontSize).Value;
            }
        }
    }
}
