﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.StyleElements
{
    [XmlRoot("fill", Namespace = Constants.ExcelMain)]
    public class Fill : XmlSerializable
    {
        [Optional]
        [XmlElement("patternFill", Namespace = Constants.ExcelMain)]
        public PatternFill PatternFill { get; set; }

        [Optional]
        [XmlElement("gradientFill", Namespace = Constants.ExcelMain)]
        public GradientFill GradientFill { get; set; }

        public Fill() { }
    }
}
