﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Table
{
    [XmlRoot("colorFilter", Namespace = Constants.ExcelMain)]
    public class ColorFilter : XmlSerializable
    {
        [Optional]
        [XmlAttribute("dxfId", Form = XmlSchemaForm.Qualified)]
        public Nullable<uint> DifferentialFormatRecordId { get; set; }

        [Optional]
        [XmlAttribute("cellColor", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> CellColor { get; set; }

        public ColorFilter() { }
    }
}
