﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.Types
{
    public enum ST_DynamicFilterType
    {
        [XmlEnum("null")]
        Null,
        [XmlEnum("aboveAverage")]
        AboveAverage,
        [XmlEnum("belowAverage")]
        BelowAverage,
        [XmlEnum("tomorrow")]
        Tomorrow,
        [XmlEnum("today")]
        Today,
        [XmlEnum("yesterday")]
        Yesterday,
        [XmlEnum("nextWeek")]
        NextWeek,
        [XmlEnum("thisWeek")]
        ThisWeek,
        [XmlEnum("lastWeek")]
        LastWeek,
        [XmlEnum("nextMonth")]
        NextMonth,
        [XmlEnum("thisMonth")]
        ThisMonth,
        [XmlEnum("lastMonth")]
        LastMonth,
        [XmlEnum("nextQuarter")]
        NextQuarter,
        [XmlEnum("thisQuarter")]
        ThisQuarter,
        [XmlEnum("lastQuarter")]
        LastQuarter,
        [XmlEnum("nextYear")]
        NextYear,
        [XmlEnum("thisYear")]
        ThisYear,
        [XmlEnum("lastYear")]
        LastYear,
        [XmlEnum("yearToDate")]
        YearToDate,
        [XmlEnum("Q1")]
        Q1,
        [XmlEnum("Q2")]
        Q2,
        [XmlEnum("Q3")]
        Q3,
        [XmlEnum("Q4")]
        Q4,
        [XmlEnum("M1")]
        M1,
        [XmlEnum("M2")]
        M2,
        [XmlEnum("M3")]
        M3,
        [XmlEnum("M4")]
        M4,
        [XmlEnum("M5")]
        M5,
        [XmlEnum("M6")]
        M6,
        [XmlEnum("M7")]
        M7,
        [XmlEnum("M8")]
        M8,
        [XmlEnum("M9")]
        M9,
        [XmlEnum("M10")]
        M10,
        [XmlEnum("M11")]
        M11,
        [XmlEnum("M12")]
        M12
    }
}
