﻿using DocumentFormat.OpenXml.Lite.Interfaces;
using DocumentFormat.OpenXml.Lite.Shared;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.SpreadsheetML.Excel.WorksheetElements
{
    [XmlRoot("drawing", Namespace = Constants.ExcelMain)]
    public class Drawing : XmlSerializable, ICopyable
    {
        [XmlAttribute("id", Form = XmlSchemaForm.Qualified, Namespace = Constants.Relationship)]
        public string RelationshipId { get; set; }

        public Drawing() { }

        public void Copy(object obj)
        {
            if (obj is Drawing)
            {
                this.RelationshipId = (obj as Drawing).RelationshipId;
            }
        }
    }
}
