﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Drawing
{
    [XmlRoot("docPr", Namespace = Constants.Drawing)]
    public class DrawingObjectProperties : XmlSerializable
    {
        [XmlAttribute("id", Form = XmlSchemaForm.Qualified)]
        public uint Id { get; set; }

        [XmlAttribute("name", Form = XmlSchemaForm.Qualified)]
        public string Name { get; set; }

        [Optional]
        [XmlAttribute("descr", Form = XmlSchemaForm.Qualified)]
        public string Description { get; set; }

        [Optional]
        [XmlAttribute("hidden", Form = XmlSchemaForm.Qualified)]
        public Nullable<bool> Hidden { get; set; }

        public DrawingObjectProperties() { }
    }
}
