﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Shared
{
    public class RequiredValue<T> : XmlSerializable
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public T Value { get; set; }

        public RequiredValue() { }

        public RequiredValue(T val) 
        {
            Value = val;
        }
    }
}
