﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("outlineLvl", Namespace = Constants.WordMain)]
    public class OutlineLevel : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public OutlineLevel() { }

        public void Copy(object obj)
        {
            if (obj is OutlineLevel)
            {
                this.Value = (obj as OutlineLevel).Value;
            }
        }
    }
}
