﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.ParagraphProperties
{
    [XmlRoot("pStyle", Namespace = Constants.WordMain)]
    public class ParagraphStyle : XmlSerializable, IParagraphPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public ParagraphStyle() { }

        public void Copy(object obj)
        {
            if (obj is ParagraphStyle)
            {
                this.Value = (obj as ParagraphStyle).Value;
            }
        }
    }
}
