﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("szCs", Namespace = Constants.WordMain)]
    public class ComplexScriptFontSize : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public uint FontSize { get; set; }

        public ComplexScriptFontSize() { }

        public void Copy(object obj) 
        {
            if (obj is ComplexScriptFontSize)
            {
                this.FontSize = (obj as ComplexScriptFontSize).FontSize;
            }
        }
    }
}
