﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("sz", Namespace = Constants.WordMain)]
    public class FontSize : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public uint Size { get; set; }

        public FontSize() { }

        public void Copy(object obj)
        {
            if (obj is FontSize)
            {
                this.Size = (obj as FontSize).Size;
            }
        }
    }
}
