﻿using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("highlight", Namespace = Constants.WordMain)]
    public class Highlight : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public ST_HighlightColor Color { get; set; }

        public Highlight() { }

        public void Copy(object obj)
        {
            if (obj is Highlight)
            {
                this.Color = (obj as Highlight).Color;
            }
        }
    }
}
