﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.RunProperties
{
    [XmlRoot("spacing", Namespace = Constants.WordMain)]
    public class Spacing : XmlSerializable, IRunPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Size { get; set; }

        public Spacing() { }

        public void Copy(object obj)
        {
            if (obj is Spacing)
            {
                this.Size = (obj as Spacing).Size;
            }
        }
    }
}
