﻿using DocumentFormat.OpenXml.Lite.Helper;
using DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Types;
using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.CellProperties
{
    [XmlRoot("gridSpan", Namespace = Constants.WordMain)]
    public class GridSpan : XmlSerializable, ITableCellPropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public int Value { get; set; }

        public GridSpan() { }

        public void Copy(object obj)
        {
            if (obj is GridSpan)
            {
                this.Value = (obj as GridSpan).Value;
            }
        }
    }
}
