﻿using DocumentFormat.OpenXml.Lite.Xml;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Schema;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.WordprocessingML.Word.Table.Properties
{
    [XmlRoot("tblStyle", Namespace = Constants.WordMain)]
    public class Style : XmlSerializable, ITablePropElement
    {
        [XmlAttribute("val", Namespace = Constants.WordMain, Form = XmlSchemaForm.Qualified)]
        public string Value { get; set; }

        public Style() { }

        public void Copy(object obj)
        {
            if (obj is Style)
            {
                this.Value = (obj as Style).Value;
            }
        }
    }
}
