﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DocumentFormat.OpenXml.Lite.Core.Office.VariantTypes
{
    public enum ST_ArrayBaseType
    {
        [XmlEnum("variant")]
        Variant,
        [XmlEnum("i1")]
        Byte,
        [XmlEnum("i2")]
        SignedInteger2Byte,
        [XmlEnum("i4")]
        SignedInteger4Byte,
        [XmlEnum("int")]
        Integer,
        [XmlEnum("ui1")]
        UnsignedInteger1Byte,
        [XmlEnum("ui2")]
        UnsignedInteger2Byte,
        [XmlEnum("ui4")]
        UnsignedInteger4Byte,
        [XmlEnum("uint")]
        UnsignedInteger,
        [XmlEnum("r4")]
        RealNumber4Byte,
        [XmlEnum("r8")]
        RealNumber8Byte,
        [XmlEnum("decimal")]
        Decimal,
        [XmlEnum("bstr")]
        BasicString,
        [XmlEnum("date")]
        DateAndTime,
        [XmlEnum("bool")]
        Boolean,
        [XmlEnum("cy")]
        Currency,
        [XmlEnum("error")]
        ErrorStatusCode
    }
}
